;*******************************************About Screen
;*
;*	This function is called in order to tell the player game information
;*
;*******
about_game:
	move.w	#1,graphlib::choosescreen

about_game_screen1:
	move.l	graphlib::plane0,a1	;adress of the 2nd bitplane
	jsr	graphlib::clr_scr	;clears the main screen (1st bitplane)
	move.l	graphlib::plane1,a1	;adress of the 2nd bitplane
	jsr	graphlib::clr_scr	;clears the main screen (1st bitplane)

	move.w	#1,bomberd2::map_x
	move.w	#1,bomberd2::map_y

	bsr	activate_background
	bsr		clear_temp_screen
	bsr	activate_screen
	bsr		clear_temp_screen

	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus1,#7,#15,#16
	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus2,#7,#32,#16
	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus3,#7,#49,#16
	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus4,#7,#66,#16
	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus5,#7,#83,#16

	bsr		draw_screen

	SetFont #2
	WriteStr	#10,#2,#1,_comment
	SetFont #1

	WriteStr	#30,#19,#1,bonus_1text
	WriteStr	#30,#36,#1,bonus_2text
	WriteStr	#30,#53,#1,bonus_3text
	WriteStr	#30,#70,#1,bonus_4text
	WriteStr	#30,#87,#1,bonus_5text
	WriteStr	#130,#90,#1,rt_left_button_text

about_game_screen1_wait_key:
	bsr	about_wait_key

	cmp.w	#344,d0
	beq		about_game_screen2
	cmp.w	#264,d0
	beq		startup
	bra		about_game_screen1_wait_key




about_game_screen2:
	move.l	graphlib::plane0,a1	;adress of the 2nd bitplane
	jsr	graphlib::clr_scr	;clears the main screen (1st bitplane)
	move.l	graphlib::plane1,a1	;adress of the 2nd bitplane
	jsr	graphlib::clr_scr	;clears the main screen (1st bitplane)

	bsr		clear_temp_screen

	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus6,#7,#15,#16
	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus7,#7,#32,#16
	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus8,#7,#49,#16
	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus9,#7,#66,#16
	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus10,#7,#83,#16

	bsr		draw_screen

	SetFont #2
	WriteStr	#10,#2,#1,_comment
	SetFont #1

	WriteStr	#30,#19,#1,bonus_6text
	WriteStr	#30,#36,#1,bonus_7text
	WriteStr	#30,#53,#1,bonus_8text
	WriteStr	#30,#70,#1,bonus_9text
	WriteStr	#30,#87,#1,bonus_10text
	WriteStr	#130,#90,#1,rt_left_button_text

about_game_screen2_wait_key:
	bsr	about_wait_key

	cmp.w	#338,d0
	beq		about_game_screen1
	cmp.w	#344,d0
	beq		about_game_screen3
	cmp.w	#264,d0
	beq		startup
	bra		about_game_screen2_wait_key





about_game_screen3:
	move.l	graphlib::plane0,a1	;adress of the 2nd bitplane
	jsr	graphlib::clr_scr	;clears the main screen (1st bitplane)
	move.l	graphlib::plane1,a1	;adress of the 2nd bitplane
	jsr	graphlib::clr_scr	;clears the main screen (1st bitplane)

	bsr		clear_temp_screen

	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus11,#7,#15,#16
	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus12,#7,#32,#16
	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus13,#7,#49,#16
	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bonus14,#7,#66,#16

	bsr		draw_screen

	SetFont #2
	WriteStr	#10,#2,#1,_comment
	SetFont #1

	WriteStr	#30,#19,#1,bonus_11text
	WriteStr	#30,#36,#1,bonus_12text
	WriteStr	#30,#53,#1,bonus_13text
	WriteStr	#30,#70,#1,bonus_14text
	WriteStr	#130,#90,#1,rt_left_button_text

about_game_screen3_wait_key:
	bsr	about_wait_key

	cmp.w	#338,d0
	beq		about_game_screen2
	cmp.w	#344,d0
	beq		about_game_screen4
	cmp.w	#264,d0
	beq		startup
	bra		about_game_screen3_wait_key




about_game_screen4:
	move.l	graphlib::plane0,a1	;adress of the 2nd bitplane
	jsr	graphlib::clr_scr	;clears the main screen (1st bitplane)
	move.l	graphlib::plane1,a1	;adress of the 2nd bitplane
	jsr	graphlib::clr_scr	;clears the main screen (1st bitplane)

	bsr		clear_temp_screen

	Draw2ByteSpriteToBufferMaskL bomberd2::bomber33,#7,#15,#24
	Draw2ByteSpriteToBufferMaskL bomberd4::sprite_bomb,#7,#40,#16
	Draw2ByteSpriteToBufferMaskL bomberd3::sprite_enemy1,#7,#57,#24
	Draw2ByteSpriteToBufferMaskL bomberd3::sprite_enemy2,#28,#65,#16
	Draw2ByteSpriteToBufferMaskL bomberd3::sprite_enemy3,#49,#65,#16
	Draw2ByteSpriteToBufferMaskL bomberd3::sprite_enemy4,#70,#57,#24

	bsr		draw_screen

	SetFont #2
	WriteStr	#10,#2,#1,_comment
	SetFont #1

	WriteStr	#30,#23,#1,you_text
	WriteStr	#30,#44,#1,bomb_text
	WriteStr	#90,#65,#1,enemy_text
	WriteStr	#130,#90,#1,rt_left_button_text

about_game_screen4_wait_key:
	bsr	about_wait_key

	cmp.w	#338,d0
	beq		about_game_screen3
	cmp.w	#344,d0
	beq		about_game_screen5
	cmp.w	#264,d0
	beq		startup
	bra		about_game_screen4_wait_key




about_game_screen5:
	move.l	graphlib::plane0,a1	;adress of the 2nd bitplane
	jsr	graphlib::clr_scr	;clears the main screen (1st bitplane)
	move.l	graphlib::plane1,a1	;adress of the 2nd bitplane
	jsr	graphlib::clr_scr	;clears the main screen (1st bitplane)

	SetFont #2
	WriteStr	#10,#5,#1,_comment
	SetFont #1

	WriteStr	#10,#30,#1,producer_text
	WriteStr	#15,#40,#1,producer
	WriteStr	#10,#70,#1,email_text
	WriteStr	#15,#80,#1,email
	WriteStr	#130,#90,#1,rt_left_button_text

	bsr	make_black_text

about_game_screen5_wait_key:
	bsr	about_wait_key

	cmp.w	#338,d0
	beq		about_game_screen4
	cmp.w	#344,d0
	beq		startup
	cmp.w	#264,d0
	beq		startup
	bra		about_game_screen2_wait_key


	bra	startup

;*******************************************About Wait For Key
;*
;*	Wait for a key to be pressed, and return it in d0
;*
;*********
about_wait_key:
	GetKeyStat #6
	move.b	d0,key2
	GetKeyStat #1
	move.b	d0,key3
	GetKeyStat #0
	move.b	d0,key
	btst.b	#0,key2
	beq	about_wait_key_escape
	btst.b	#1,key
	beq	about_wait_key_left
	btst.b	#3,key
	beq	about_wait_key_right
	btst.b	#0,key3
	beq	about_wait_key_enter
	bra		about_wait_key

about_wait_key_left:
	about_wait_left_released:
	GetKeyStat #0
	move.b	d0,key
	btst.b	#1,key
	beq	about_wait_left_released
	move.w	#338,d0
	rts
about_wait_key_right:
	about_wait_right_released:
	GetKeyStat #0
	move.b	d0,key
	btst.b	#3,key
	beq	about_wait_right_released
	move.w	#344,d0
	rts
about_wait_key_enter:
	about_wait_enter_released:
	GetKeyStat #1
	move.b	d0,key3
	btst.b	#0,key3
	beq	about_wait_enter_released
	move.w	#344,d0
	rts
about_wait_key_escape:
	btst.b	#0,key
	beq	about_wait_key
	move.w	#264,d0
	rts

;*******************************************Make the screen have black text
;*
;*	The text, when directly printed to the screen using WriteScreen, only displays
;*	the text in the first plane(grayscale).  It is needed to copy the data from the 
;*	first plane onto the second in order to make it black
;*
;*********
make_black_text:
	move.w	#1,d0
	move.w	#0,d1
	move.w	#29,d2
	move.w	#100,d3
	move.w	#0,graphlib::choosescreen	;set all graphlib functions to grayscale mode
	move.l	graphlib::plane0,a1	;adress of the 2nd bitplane
	jsr		graphlib::scrtomem
	move.w	#1,graphlib::choosescreen	;set all graphlib functions to grayscale mode
	move.l	graphlib::plane1,a1	;adress of the 2nd bitplane
	jsr		graphlib::memtoscr
	rts