;*******************************************Handle Bonus
;*
;*	This function is called by mainloop to process a single instance of a bonus
;*
;*	Input:	d6=the # of this bonus in the bonus array
;*
;********
bomberd4@0009:
draw_bonus:
	lea	bomberd2::bonus_x,a0		;Get bomb d6's x
	move.w  d6,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a2

	lea	bomberd2::bonus_y,a0		;Get bomb d6's y
	lea	0(a0,d2.w),a3

	lea	bomberd2::bonus_t,a0		;Get bomb d6's s
	lea	0(a0,d2.w),a4

	move.w	(a2),x
	move.w	(a3),y
	move.w	(a4),t

	subq.w	#8,x
	subq.w	#8,y

		;display the bonus with the correct face
	cmp.w	#0,t
	beq		hb_t1
	cmp.w	#1,t
	beq		hb_t2
	cmp.w	#2,t
	beq		hb_t3
	cmp.w	#3,t
	beq		hb_t4
	cmp.w	#4,t
	beq		hb_t5
	cmp.w	#5,t
	beq		hb_t6
	cmp.w	#6,t
	beq		hb_t7
	cmp.w	#7,t
	beq		hb_t8
	cmp.w	#8,t
	beq		hb_t9
	cmp.w	#9,t
	beq		hb_t10
	cmp.w	#10,t
	beq		hb_t11
	cmp.w	#11,t
	beq		hb_t12
	cmp.w	#12,t
	beq		hb_t13
	cmp.w	#13,t
	beq		hb_t14
	rts

hb_t1:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus1,x,y,#16
	rts

hb_t2:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus2,x,y,#16
	rts

hb_t3:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus3,x,y,#16
	rts

hb_t4:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus4,x,y,#16
	rts

hb_t5:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus5,x,y,#16
	rts

hb_t6:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus6,x,y,#16
	rts

hb_t7:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus7,x,y,#16
	rts

hb_t8:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus8,x,y,#16
	rts

hb_t9:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus9,x,y,#16
	rts

hb_t10:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus10,x,y,#16
	rts

hb_t11:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus11,x,y,#16
	rts

hb_t12:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus12,x,y,#16
	rts

hb_t13:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus13,x,y,#16
	rts

hb_t14:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_bonus14,x,y,#16
	rts

;*******************************************Delete Bonus
;*
;*	This function deletes a bonus from the bonus array
;*
;*	Input:	d6=the bonus # in the bonus array
;*
;********
bomberd4@000A:
delete_bonus:

	movem.l	d0-d4/a0-a3,-(a7)

	lea	bomberd2::bonus_x,a0
	move.w  d6,d0
	mulu.w	#2,d0
	lea	0(a0,d0.w),a0

	lea	bomberd2::bonus_y,a2
	lea	0(a2,d0.w),a2

	lea	bomberd2::bonus_t,a3
	lea	0(a3,d0.w),a3

	move.w	bomberd2::bonuscount,d0
	sub.w	d6,d0
	cmp.w	#0,d0
	beq		dbon_loop_exit
	subq.w	#1,d0

		;shift the bonus array to cover this deleted bonus
	addq.w	#$02,a0
	addq.w	#$02,a2
	addq.w	#$02,a3
dbon_loop:
	
	move.w	(a0),d1
	subq.w	#$02,a0
	move.w	d1,(a0)
	addq.w	#$04,a0
	move.w	(a2),d1
	subq.w	#$02,a2
	move.w	d1,(a2)
	addq.w	#$04,a2
	move.w	(a3),d1
	subq.w	#$02,a3
	move.w	d1,(a3)
	addq.w	#$04,a3

	dbra.w	d0,dbon_loop

dbon_loop_exit:
	subq.w	#1,bomberd2::bonuscount

	movem.l	(a7)+,d0-d4/a0-a3
	rts

;*******************************************Add Bonus
;*
;*	Adds a bonus to the bonus array
;*
;*	Input:	t=the type of bonus
;*		x=the x-coordinate in blocks
;*		y=the y-coordinate in blocks
;*
;********
bomberd4@000B:
add_bonus:
	movem.l	d0-d2/a0,-(a7)

		;calculate if the bonus should be placed
	move.w	t,d1
	lea	bonus_chance(PC),a0
	mulu.w	#$2,d1
	lea	0(a0,d1.w),a0
	move.w	(a0),d1
	Random	d1,d2
	cmp.w	#1,d2
	bne	add_bonus_cancel

	lea	bomberd2::bonus_x,a0		;Set vexp x
	move.w  bomberd2::bonuscount,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a0
	move.w	x,d2
	mulu.w	#16,d2
	addq.w	#8,d2
	move.w	d2,(a0)

	lea	bomberd2::bonus_y,a0		;Set vexp y
	move.w  bomberd2::bonuscount,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a0
	move.w	y,d2
	mulu.w	#16,d2
	addq.w	#8,d2
	move.w	d2,(a0)

	lea	bomberd2::bonus_t,a0		;Set vexp s
	move.w  bomberd2::bonuscount,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a0
	move.w	t,(a0)

	addq.w	#1,bomberd2::bonuscount

add_bonus_cancel:
	movem.l	(a7)+,d0-d2/a0
	rts





	;this is the possibility that certain bonuses are picked when a block explodes
	;a lower number means better possibility
bonus_chance:
	dc.w	2	;extra bomb
	dc.w	5	;extra life
	dc.w	2	;the boot
	dc.w	2	;big explosions
	dc.w	13	;trigger bombs
	dc.w	14	;super bombs
	dc.w	2	;bonus score
	dc.w	10	;walk through walls
	dc.w	6	;walk through bombs
	dc.w	3	;shield
	dc.w	4	;poison
	dc.w	4	;cornering
	dc.w	6	;mines
	dc.w	4	;death protection




;extra bomb
bomberd4@0027:
sprite_bonus1:	
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11110111
	dc.b	%11111111,%10101111
	dc.b	%11110011,%00111111
	dc.b	%11110011,%11111111
	dc.b	%11110111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%10000111,%11101101
	dc.b	%10011111,%10110011
	dc.b	%10111001,%00100101
	dc.b	%10111001,%01111101
	dc.b	%11100101,%00011111
	dc.b	%11001001,%10111111
	dc.b	%11000000,%11111111
	dc.b	%11000000,%01111111
	dc.b	%11100000,%11111111
	dc.b	%11110001,%11111111
	dc.b	%10111111,%11111101
	dc.b	%10111111,%11111101
	dc.b	%10011111,%11111001
	dc.b	%10000111,%11100001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111

;extre life
bomberd4@0028:
sprite_bonus2:	
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111000,%00011111
	dc.b	%11110111,%11101111
	dc.b	%11111010,%01011111
	dc.b	%11111010,%01011111
	dc.b	%11110111,%11101111
	dc.b	%11111111,%11111111
	dc.b	%11111100,%00111111
	dc.b	%11111110,%01111111
	dc.b	%11111100,%00111111
	dc.b	%11111011,%11011111
	dc.b	%11111001,%10011111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%10000000,%00000001
	dc.b	%10000111,%11100001
	dc.b	%10001000,%00010001
	dc.b	%10011000,%00011001
	dc.b	%10010111,%11101001
	dc.b	%10010111,%11101001
	dc.b	%10011000,%00011001
	dc.b	%10001111,%11110001
	dc.b	%10010111,%11101001
	dc.b	%10011111,%11111001
	dc.b	%10000111,%11100001
	dc.b	%10001111,%11110001
	dc.b	%10001111,%11110001
	dc.b	%10000111,%11100001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111

;the boot
bomberd4@0029:
sprite_bonus3:	
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%00111111
	dc.b	%11111100,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111100,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11110000,%00111111
	dc.b	%11100000,%01111111
	dc.b	%11101111,%11111111
	dc.b	%11110011,%11001111
	dc.b	%11101101,%10110111
	dc.b	%11101111,%10111111
	dc.b	%11110111,%11011111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%10000011,%11111101
	dc.b	%10000010,%01001101
	dc.b	%10000111,%00001101
	dc.b	%10000010,%00001101
	dc.b	%10000111,%00001101
	dc.b	%10011110,%00001101
	dc.b	%10111001,%11001101
	dc.b	%11110111,%10000111
	dc.b	%11011100,%00111111
	dc.b	%11111111,%11111111
	dc.b	%10110111,%11011111
	dc.b	%10111101,%11110101
	dc.b	%10011010,%01101001
	dc.b	%10001100,%00110001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111

;bomb length
bomberd4@002A:
sprite_bonus4:
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11011111
	dc.b	%11111110,%10010111
	dc.b	%11111000,%00000111
	dc.b	%11110000,%00000111
	dc.b	%11100100,%10000111
	dc.b	%11100100,%10000111
	dc.b	%11000100,%10000111
	dc.b	%11000000,%00000111
	dc.b	%11101111,%11001111
	dc.b	%11100111,%11001111
	dc.b	%11110011,%10011111
	dc.b	%11111000,%01111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%10000001,%00100101
	dc.b	%10000010,%11111011
	dc.b	%10001101,%11111011
	dc.b	%10010001,%11111011
	dc.b	%10100011,%01111011
	dc.b	%10101101,%10111011
	dc.b	%11011101,%10111011
	dc.b	%11111101,%10111011
	dc.b	%11110111,%11111011
	dc.b	%11011111,%11110101
	dc.b	%11011100,%10110101
	dc.b	%10101111,%01101001
	dc.b	%10011111,%10110001
	dc.b	%10000111,%11000001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111	

;remote bombs
bomberd4@002B:
sprite_bonus5:	
	dc.b	%11111111,%11111111
	dc.b	%11110011,%00011111
	dc.b	%11100111,%00011111
	dc.b	%11001111,%10111111
	dc.b	%10001010,%11101011
	dc.b	%10011111,%00011111
	dc.b	%10011110,%11101111
	dc.b	%10011111,%10111111
	dc.b	%10111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11101111,%00011111
	dc.b	%11000111,%11111101
	dc.b	%10000011,%11111001
	dc.b	%10000110,%11110001
	dc.b	%10001100,%01100001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%00011111
	dc.b	%10001011,%10111001
	dc.b	%10010100,%11100101
	dc.b	%10101100,%01000111
	dc.b	%11001111,%00011111
	dc.b	%10011101,%10110111
	dc.b	%10011101,%11110111
	dc.b	%10111100,%01000111
	dc.b	%11011110,%00001111
	dc.b	%10001111,%11111111
	dc.b	%10011111,%11111111
	dc.b	%10100111,%00011111
	dc.b	%11000111,%11111101
	dc.b	%10001001,%11101001
	dc.b	%10010010,%10010011
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111

;superbomb
bomberd4@002C:
sprite_bonus6:	
	dc.b	%11111111,%11111111
	dc.b	%11111110,%11111111
	dc.b	%11011110,%01111011
	dc.b	%11111110,%01111111
	dc.b	%11100110,%01111111
	dc.b	%11100110,%01111111
	dc.b	%11100011,%11111111
	dc.b	%11111001,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11100111,%11100111
	dc.b	%11000111,%11100011
	dc.b	%11011111,%11111011
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%01111111
	dc.b	%11101010,%11110111
	dc.b	%11010100,%10111011
	dc.b	%11111101,%10111111
	dc.b	%11110001,%10111111
	dc.b	%11010001,%11111111
	dc.b	%11000110,%00111111
	dc.b	%11101000,%01110111
	dc.b	%11001100,%11110011
	dc.b	%11001111,%11110011
	dc.b	%11100111,%11100111
	dc.b	%10111111,%11111101
	dc.b	%10011111,%11111001
	dc.b	%10000111,%11100001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111

;bonus points
bomberd4@002D:
sprite_bonus7:	
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11100011,%11000111
	dc.b	%11000001,%10000011
	dc.b	%11100011,%11000111
	dc.b	%11000001,%10000011
	dc.b	%11100011,%11000111
	dc.b	%11000001,%10000011
	dc.b	%11100011,%11000111
	dc.b	%11000001,%10000011
	dc.b	%11100011,%11000111
	dc.b	%11000001,%10000011
	dc.b	%11100011,%11000111
	dc.b	%11000001,%10000011
	dc.b	%11100011,%11000111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%10000000,%00000001
	dc.b	%10011100,%00111001
	dc.b	%10101110,%01011101
	dc.b	%10011100,%00111001
	dc.b	%10101110,%01011101
	dc.b	%10011100,%00111001
	dc.b	%10101110,%01011101
	dc.b	%10011100,%00111001
	dc.b	%10101110,%01011101
	dc.b	%10011100,%00111001
	dc.b	%10101110,%01011101
	dc.b	%10011100,%00111001
	dc.b	%10101110,%01011101
	dc.b	%10011100,%00111001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111

;walk through wall
bomberd4@002E:
sprite_bonus8:	
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%00000111,%11111111
	dc.b	%11111100,%01100011
	dc.b	%11000000,%01100011
	dc.b	%11111111,%11111111
	dc.b	%10000011,%11111111
	dc.b	%11111111,%00010011
	dc.b	%00000000,%00010011
	dc.b	%11111111,%11111111
	dc.b	%10001111,%11111111
	dc.b	%11111000,%01100011
	dc.b	%00000000,%01100011
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%10000000,%00000001
	dc.b	%00011111,%11111111
	dc.b	%10011010,%11010111
	dc.b	%10011111,%11011111
	dc.b	%10011000,%01000011
	dc.b	%10011111,%11111111
	dc.b	%10011110,%10111011
	dc.b	%00011111,%11111111
	dc.b	%10010010,%00010011
	dc.b	%10011111,%11111111
	dc.b	%10010110,%11010111
	dc.b	%00011111,%11011111
	dc.b	%10011111,%11111111
	dc.b	%10000000,%00000001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111

;walk through bomb
bomberd4@002F:
sprite_bonus9:	
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11100111,%11110111
	dc.b	%11111111,%10101111
	dc.b	%10000001,%00111111
	dc.b	%11111011,%11111111
	dc.b	%10000011,%11111111
	dc.b	%11111111,%11111111
	dc.b	%10000000,%11111111
	dc.b	%11111111,%11111111
	dc.b	%10001111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%00000011,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%10000111,%11101101
	dc.b	%01011111,%10110011
	dc.b	%10111001,%00100101
	dc.b	%10111111,%01111101
	dc.b	%11101101,%00011111
	dc.b	%11111101,%10111111
	dc.b	%11000000,%11111111
	dc.b	%01111111,%01111111
	dc.b	%11100000,%11111111
	dc.b	%11110001,%11111111
	dc.b	%10111111,%11111101
	dc.b	%00111111,%11111101
	dc.b	%10011111,%11111001
	dc.b	%10000111,%11100001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111

;shield
bomberd4@0030:
sprite_bonus10:	
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11110111,%11101111
	dc.b	%11100111,%11101111
	dc.b	%11111111,%11111111
	dc.b	%11100011,%11101111
	dc.b	%11111111,%11111111
	dc.b	%11100000,%10001111
	dc.b	%11111111,%11111111
	dc.b	%11100000,%10001111
	dc.b	%11111111,%11111111
	dc.b	%11100000,%10001111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%10000000,%00000001
	dc.b	%10011100,%00111001
	dc.b	%10101111,%11110101
	dc.b	%10110111,%11110101
	dc.b	%10100111,%11100101
	dc.b	%11010011,%11010011
	dc.b	%11000000,%10000011
	dc.b	%11010011,%11110011
	dc.b	%11000000,%10000011
	dc.b	%11010011,%11110011
	dc.b	%11000000,%10000011
	dc.b	%11010011,%11110011
	dc.b	%10111111,%11111101
	dc.b	%10000000,%00000001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111

;poison
bomberd4@0031:
sprite_bonus11:	
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111100,%00111111
	dc.b	%11111000,%00011111
	dc.b	%11110000,%00001111
	dc.b	%11111100,%00111111
	dc.b	%11111110,%01111111
	dc.b	%11111110,%01111111
	dc.b	%11111101,%10111111
	dc.b	%11100001,%10000111
	dc.b	%11110011,%11001111
	dc.b	%11110000,%00001111
	dc.b	%11110101,%10101111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%10000011,%11000001
	dc.b	%10001110,%01110001
	dc.b	%10010000,%00001001
	dc.b	%10100000,%00000101
	dc.b	%10101110,%01110101
	dc.b	%11011110,%01111011
	dc.b	%11011010,%01011011
	dc.b	%11011110,%01111011
	dc.b	%11000001,%10000011
	dc.b	%10111001,%10011101
	dc.b	%10010000,%00001001
	dc.b	%10010101,%10101001
	dc.b	%10010101,%10101001
	dc.b	%10011111,%11111001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111

;cornering
bomberd4@0032:
sprite_bonus12:	
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11001001,%01111111
	dc.b	%11001001,%01111111
	dc.b	%11111111,%11110111
	dc.b	%11111111,%11100011
	dc.b	%11000100,%01000001
	dc.b	%11000100,%01110111
	dc.b	%11111111,%11110111
	dc.b	%11111111,%11110111
	dc.b	%11111111,%11110111
	dc.b	%11111111,%11101111
	dc.b	%11100000,%00011111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11000001
	dc.b	%11101101,%01000001
	dc.b	%11111111,%11001001
	dc.b	%11001001,%01010101
	dc.b	%11111111,%11101111
	dc.b	%11101110,%11011111
	dc.b	%11111111,%11111111
	dc.b	%11000100,%01011101
	dc.b	%11111111,%11011101
	dc.b	%10000000,%00111101
	dc.b	%10111111,%11111101
	dc.b	%10111111,%11111001
	dc.b	%10111111,%11110001
	dc.b	%10000000,%00000001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111

;mines
bomberd4@0034:
sprite_bonus13:	
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111110,%11111111
	dc.b	%11111101,%11111111
	dc.b	%11111100,%01111111
	dc.b	%11000111,%11111111
	dc.b	%11100011,%11000111
	dc.b	%11110011,%11000111
	dc.b	%11111111,%10011111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%10000000,%00000001
	dc.b	%10001111,%11110001
	dc.b	%10111110,%01111101
	dc.b	%11100011,%01001111
	dc.b	%11000111,%10100111
	dc.b	%11111111,%10111111
	dc.b	%10111011,%11000011
	dc.b	%10011101,%10111011
	dc.b	%11001101,%01111011
	dc.b	%11101101,%01100111
	dc.b	%11111111,%11111111
	dc.b	%10111111,%11111101
	dc.b	%10001111,%11110001
	dc.b	%10000000,%00000001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111

;death protection
bomberd4@0036:
sprite_bonus14:	
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11010111,%11101111
	dc.b	%11100111,%11010111
	dc.b	%10000110,%11101011
	dc.b	%11000111,%01100111
	dc.b	%11000010,%01000011
	dc.b	%11000111,%11100111
	dc.b	%11101010,%10101011
	dc.b	%11110101,%01110111
	dc.b	%11111011,%11101111
	dc.b	%11111101,%01011111
	dc.b	%11111110,%10111111
	dc.b	%11111111,%01111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%10111110,%01111101
	dc.b	%11101011,%11010111
	dc.b	%10010001,%10101011
	dc.b	%11101011,%01010111
	dc.b	%10101010,%11011011
	dc.b	%10111111,%11111111
	dc.b	%11111010,%01011011
	dc.b	%11010101,%01010111
	dc.b	%11101110,%10101111
	dc.b	%10110111,%11011101
	dc.b	%10011010,%10111001
	dc.b	%10001101,%01110001
	dc.b	%10000010,%11000001
	dc.b	%10000001,%10000001
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111