;*******************************************Draw enemy3
;*
;*	Draws the enemy3 sprite
;*
;*	Input:	a2=points to x-coordinate in array
;*		a3=points to y-coordinate in array
;*		a4=points to current sprite information
;*		a5=points to current direction
;********
bomberd3@000D:
draw_enemy3:
	move.w	(a2),d4
	move.w	(a3),d5
	move.w	(a4),d0
	move.w	(a5),dir
	cmp.w	#50,d0
	bcc		draw_enemy3_explosion

	sub.w	#8,d4
	sub.w	#8,d5
	cmp.w	#1,dir
	beq		den3_s1
	cmp.w	#2,dir
	beq		den3_s2
	cmp.w	#3,dir
	beq		den3_s3
	cmp.w	#4,dir
	beq		den3_s4
	rts

den3_s1:
	cmp.w	#0,d0
	beq		den2_s11
	cmp.w	#1,d0
	beq		den2_s12
	cmp.w	#2,d0
	beq		den2_s13
	cmp.w	#3,d0
	beq		den2_s14
	cmp.w	#4,d0
	beq		den2_s15
	cmp.w	#5,d0
	beq		den2_s14
	cmp.w	#6,d0
	beq		den2_s13
	cmp.w	#7,d0
	beq		den2_s12
	rts

den3_s2:
	cmp.w	#0,d0
	beq		den2_s21
	cmp.w	#1,d0
	beq		den2_s22
	cmp.w	#2,d0
	beq		den2_s23
	cmp.w	#3,d0
	beq		den2_s24
	cmp.w	#4,d0
	beq		den2_s25
	cmp.w	#5,d0
	beq		den2_s24
	cmp.w	#6,d0
	beq		den2_s23
	cmp.w	#7,d0
	beq		den2_s22
	rts

den3_s3:
	cmp.w	#0,d0
	beq		den2_s31
	cmp.w	#1,d0
	beq		den2_s32
	cmp.w	#2,d0
	beq		den2_s33
	cmp.w	#3,d0
	beq		den2_s34
	cmp.w	#4,d0
	beq		den2_s35
	cmp.w	#5,d0
	beq		den2_s34
	cmp.w	#6,d0
	beq		den2_s33
	cmp.w	#7,d0
	beq		den2_s32
	rts

den3_s4:
	cmp.w	#0,d0
	beq		den2_s41
	cmp.w	#1,d0
	beq		den2_s41
	cmp.w	#2,d0
	beq		den2_s42
	cmp.w	#3,d0
	beq		den2_s43
	cmp.w	#4,d0
	beq		den2_s44
	cmp.w	#5,d0
	beq		den2_s43
	cmp.w	#6,d0
	beq		den2_s42
	cmp.w	#7,d0
	beq		den2_s41
	rts

den2_s11:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy311,d4,d5,#16
	rts

den2_s12:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy312,d4,d5,#16
	rts

den2_s13:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy313,d4,d5,#16
	rts

den2_s14:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy314,d4,d5,#16
	rts

den2_s15:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy315,d4,d5,#16
	rts

den2_s21:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy321,d4,d5,#16
	rts

den2_s22:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy322,d4,d5,#16
	rts

den2_s23:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy323,d4,d5,#16
	rts

den2_s24:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy324,d4,d5,#16
	rts

den2_s25:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy325,d4,d5,#16
	rts

den2_s31:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy331,d4,d5,#16
	rts

den2_s32:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy332,d4,d5,#16
	rts

den2_s33:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy333,d4,d5,#16
	rts

den2_s34:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy334,d4,d5,#16
	rts

den2_s35:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy335,d4,d5,#16
	rts

den2_s41:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy341,d4,d5,#16
	rts

den2_s42:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy342,d4,d5,#16
	rts

den2_s43:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy343,d4,d5,#16
	rts

den2_s44:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy344,d4,d5,#16
	rts

draw_enemy3_explosion:
	cmp.w	#50,d0
	beq		delete_enemy3
	subq.w	#8,d4
	sub.w	#14,d5
	cmp.w	#64,d0
	beq		draw_enemy_exp1
	cmp.w	#62,d0
	beq		draw_enemy_exp2
	cmp.w	#60,d0
	beq		draw_enemy_exp3
	cmp.w	#58,d0
	beq		draw_enemy_exp4
	cmp.w	#56,d0
	beq		draw_enemy_exp5
	cmp.w	#54,d0
	beq		draw_enemy_exp6
	cmp.w	#52,d0
	beq		draw_enemy_exp7
	cmp.w	#63,d0
	beq		draw_enemy_exp1
	cmp.w	#61,d0
	beq		draw_enemy_exp2
	cmp.w	#59,d0
	beq		draw_enemy_exp3
	cmp.w	#57,d0
	beq		draw_enemy_exp4
	cmp.w	#55,d0
	beq		draw_enemy_exp5
	cmp.w	#53,d0
	beq		draw_enemy_exp6
	cmp.w	#51,d0
	beq		draw_enemy_exp7
	rts

;*******************************************Add enemy3
;*
;*	Add a new enemy3
;*
;*	Input:	d0=x-coordinate of new enemy3 in blocks
;*		d1=y-coordinate of new enemy3 in blocks
;*
;********
bomberd3@000E:
add_enemy3:
	move.w	d0,x
	move.w	d1,y
	movem.l	d0-d3/a0,-(a7)

	lea	bomberd2::enemy3_x,a0		;Set vexp x
	move.w  bomberd2::enemy3count,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a0
	move.w	x,d2
	mulu.w	#16,d2
	addq.w	#8,d2
	move.w	d2,(a0)

	lea	bomberd2::enemy3_y,a0		;Set vexp y
	move.w  bomberd2::enemy3count,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a0
	move.w	y,d2
	mulu.w	#16,d2
	addq.w	#8,d2
	move.w	d2,(a0)

	lea	bomberd2::enemy3_d,a0		;Set vexp s
	move.w  bomberd2::enemy3count,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a0
	Random	#4,d3
	addq.w	#1,d3
	move.w	d3,(a0)

	lea	bomberd2::enemy3_s,a0		;Set vexp s
	lea	0(a0,d2.w),a0
	move.w	#1,(a0)

	addq.w	#1,bomberd2::enemy3count

	movem.l	(a7)+,d0-d3/a0
	rts

;*******************************************Get Enemy 3 Stats
;*
;*	Gather pointers for a certain enemy
;*
;*	Input:	d6=the number of this enemy in the enemy arrays
;*
;*	Output:	a2=pointer to x coordinate
;*		a3=pointer to y coordinate
;*		a4=pointer to sprite info
;*		a5=pointer to enemy direction
;*
;********
bomberd3@000A:
learn_enemy3:
	lea	bomberd2::enemy3_x,a0		;Get enemy3 d6's x
	move.w  d6,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a2

	lea	bomberd2::enemy3_y,a0		;Get enemy3 d6's y
	lea	0(a0,d2.w),a3

	lea	bomberd2::enemy3_s,a0		;Get enemy3 d6's s
	lea	0(a0,d2.w),a4

	lea	bomberd2::enemy3_d,a0		;Get enemy3 d6's d
	lea	0(a0,d2.w),a5

	rts

;*******************************************Move enemy3
;*
;*	Move an enemy
;*
;*	Input:	a2=pointer to x coordinate
;*		a3=pointer to y coordinate
;*		a4=pointer to sprite info
;*		a5=pointer to enemy direction
;*
;********
bomberd3@000B:
move_enemy3:
	clr.l	d0
	clr.l	d1
	clr.l	d2
	move.w	(a2),x
	move.w	(a3),y
	move.w	(a4),s
	move.w	(a5),dir
	move.w	#0,ct
	SetExtraPosInfo x,y

	addq.w	#1,s
	cmp.w	#8,s
	bne		me3_no_reset_s
	move.w	#0,s
me3_no_reset_s:

	cmp.w	#8,erelpos_x		;IF relpos_x=5
	bne		me3_else_1
	cmp.w	#8,erelpos_y		;and relpos_y=5
	bne		me3_else_1
	move.w	eblock_x,d0
	move.w	eblock_y,d1
	bsr		check_bombs
	cmp.w	#1,d4
	beq		me3_else_1
	bsr		check_surrounded
	cmp.w	#1,d5
	beq		me3_end_if_1
	Random  #5,d3			;and (RND*5=1)
	cmp.w	#1,d3
	bne	me3_else_1

		Random  #4,d3
		addq.w	#1,d3
		move.w	d3,dir

		bra		me3_end_if_1

me3_else_1:

		cmp.w	#1,dir			;IF dir(a)=1 then
		bne		me3_else_if_11

			cmp.w	#8,erelpos_x		;IF relpos_x>5 or relpos_x<5 then
			beq		me3_else_101


				subq.w	#1,x

				bra		me3_end_if_1

		me3_else_101:

			cmp.w	#0,eblock_x		;IF block_x=0
			beq	me3_if_1011
			move.w	eblock_x,d0		;or board((block_x-1)*10+block_y)<>0
			subq.w	#1,d0
			move.w	eblock_y,d1
			bsr		enemy3_check_pass
			cmp.w	#0,d2
			beq	me3_if_1011
			me3_if_10111:
			
				subq.w	#1,x
				bra		me3_end_if_1

			me3_if_1011:

				move.w	#4,dir
				cmp.w	#3,ct
				beq		me3_end_if_1
				addq.w	#1,ct
				bra		me3_else_if_13

	me3_else_if_11:

		cmp.w	#2,dir			;IF dir(a)=2 then
		bne		me3_else_if_12

			cmp.w	#8,erelpos_x		;IF relpos_x>5 or relpos_x<5 then
			beq		me3_else_111


				addq.w	#1,x

				bra		me3_end_if_1

		me3_else_111:

			move.w	bomberd2::map_width,d0
			move.w	eblock_x,d1
			cmp.w		d0,d1			;IF block_x=12
			beq		me3_if_1111
			move.w	eblock_x,d0		;or board((block_x+1)*10+block_y)<>0
			addq.w	#1,d0
			move.w	eblock_y,d1
			bsr		enemy3_check_pass
			cmp.w	#0,d2
			beq	me3_if_1111
			me3_if_11111:
			
				addq.w	#1,x
				bra		me3_end_if_1

			me3_if_1111:

				move.w	#3,dir
				cmp.w	#3,ct
				beq		me3_end_if_1
				addq.w	#1,ct
				bra		me3_else_if_12

	me3_else_if_12:

		cmp.w	#3,dir			;IF dir(a)=3 then
		bne		me3_else_if_13

			cmp.w	#8,erelpos_y		;IF relpos_y>5 or relpos_y<5 then
			beq		me3_else_121


				addq.w	#1,y

				bra		me3_end_if_1

		me3_else_121:

			move.w  bomberd2::map_height,d0
			move.w  eblock_y,d1
			cmp.w	d0,d1			;IF block_y=9
			beq		me3_if_1211
			move.w	eblock_x,d0		;or board((block_x)*10+block_y+1)<>0
			move.w	eblock_y,d1
			addq.w	#1,d1
			bsr		enemy3_check_pass
			cmp.w	#0,d2
			beq	me3_if_1211
			me3_if_12111:
			
				addq.w	#1,y
				bra		me3_end_if_1

			me3_if_1211:

				move.w	#1,dir
				cmp.w	#3,ct
				beq		me3_end_if_1
				addq.w	#1,ct
				bra		me3_else_1
	me3_else_if_13:

		cmp.w	#4,dir			;IF dir(a)=4 then
		bne		me3_end_if_1

			cmp.w	#8,erelpos_y		;IF relpos_y>5 or relpos_y<5 then
			beq		me3_else_131


				subq.w	#1,y

				bra		me3_end_if_1

		me3_else_131:

			cmp.w	#0,eblock_y		;IF block_y=0
			beq		me3_if_1311
			move.w	eblock_x,d0		;or board((block_x)*10+block_y-1)<>0
			move.w	eblock_y,d1
			subq.w	#1,d1
			bsr		enemy3_check_pass
			cmp.w	#0,d2
			beq	me3_if_1311
			me3_if_13111:

				subq.w	#1,y
				bra		me3_end_if_1

			me3_if_1311:

				move.w	#2,dir
				cmp.w	#3,ct
				beq		me3_end_if_1
				addq.w	#1,ct
				bra		me3_else_if_11
me3_end_if_1:

	move.w	x,(a2)
	move.w	y,(a3)
	move.w	s,(a4)
	move.w	dir,(a5)
	rts



check_bombs:		;I(d0=x, d1=y) O(dir, d4=1 if found)
	movem.l	d0-d3,-(a7)
	move.w	d0,d2
	check_bombs_left:
		cmp.w	#0,d0
		beq		end_check_bombs_left
		subq.w	#1,d0
		GetBoard d3
		cmp.w	#3,d3
		beq		end_check_bombs_found_bomb_left
		cmp.w	#0,d3
		bne		end_check_bombs_left
		bra		check_bombs_left
	end_check_bombs_left:

	move.w	d2,d0
	check_bombs_right:
		addq.w	#1,d0
		move.w	bomberd2::map_width,d3
		cmp.w	d0,d3
		beq		end_check_bombs_right
		GetBoard d3
		cmp.w	#3,d3
		beq		end_check_bombs_found_bomb_right
		cmp.w	#0,d3
		bne		end_check_bombs_right
		bra		check_bombs_right
	end_check_bombs_right:

	move.w	d2,d0
	move.w	d1,d2
	check_bombs_up:
		cmp.w	#0,d1
		beq		end_check_bombs_up
		subq.w	#1,d1
		GetBoard d3
		cmp.w	#3,d3
		beq		end_check_bombs_found_bomb_up
		cmp.w	#0,d3
		bne		end_check_bombs_up
		bra		check_bombs_up
	end_check_bombs_up:

	move.w	d2,d1
	check_bombs_down:
		addq.w	#1,d1
		move.w	bomberd2::map_height,d3
		cmp.w	d1,d3
		beq		end_check_bombs_down
		GetBoard d3
		cmp.w	#3,d3
		beq		end_check_bombs_found_bomb_down
		cmp.w	#0,d3
		bne		end_check_bombs_down
		bra		check_bombs_down
	end_check_bombs_down:

	bra	end_check_bombs
end_check_bombs_found_bomb_right:
	move.w	#2,dir
	move.w	#1,d4
	bra		end_check_bombs_found_one
end_check_bombs_found_bomb_left:
	move.w	#1,dir
	move.w	#1,d4
	bra		end_check_bombs_found_one
end_check_bombs_found_bomb_up:
	move.w	#4,dir
	move.w	#1,d4
	bra		end_check_bombs_found_one
end_check_bombs_found_bomb_down:
	move.w	#3,dir
	move.w	#1,d4
	bra		end_check_bombs_found_one
end_check_bombs:
	move.w	#0,d4
end_check_bombs_found_one:
	movem.l	(a7)+,d0-d3
	rts

ct	dc.w	0
;*******************************************Delete enemy3
;*
;*	Delete an enemy
;*
;*	Input:	d6=number of this enemy in the enemy array
;*
;********
bomberd3@000C:
delete_enemy3:
	
	movem.l	d0-d4/a0-a4,-(a7)

	lea	bomberd2::enemy3_x,a0
	move.w  d6,d0
	mulu.w	#2,d0
	lea	0(a0,d0.w),a0

	lea	bomberd2::enemy3_y,a4
	lea	0(a4,d0.w),a4

	lea	bomberd2::enemy3_s,a2
	lea	0(a2,d0.w),a2

	lea	bomberd2::enemy3_d,a3
	lea	0(a3,d0.w),a3

	move.w	bomberd2::enemy3count,d0
	sub.w	d6,d0
	subq.w	#1,d0

	addq.w	#$02,a0
	addq.w	#$02,a4
	addq.w	#$02,a2
	addq.w	#$02,a3
denemy3_loop:
	
	move.w	(a0),d1
	subq.w	#$02,a0
	move.w	d1,(a0)
	addq.w	#$04,a0
	move.w	(a4),d1
	subq.w	#$02,a4
	move.w	d1,(a4)
	addq.w	#$04,a4
	move.w	(a2),d1
	subq.w	#$02,a2
	move.w	d1,(a2)
	addq.w	#$04,a2
	move.w	(a3),d1
	subq.w	#$02,a3
	move.w	d1,(a3)
	addq.w	#$04,a3

	dbra.w	d0,denemy3_loop

	subq.w	#1,bomberd2::enemy3count

	movem.l	(a7)+,d0-d4/a0-a4
	rts


;*******************************************Check Pass Block
;*
;*	Check if an enemy can pass a block
;*
;*	Input:	d0=x, d1=y
;*
;*	Output: d2=0 if cannot pass, else, can pass
;*
;********
enemy3_check_pass:
	GetBoard d2
	cmp.w	#3,d2
	beq		enemy3_yes_pass
	cmp.w	#4,d2
	beq		enemy3_yes_pass
	cmp.w	#0,d2
	bne		enemy3_no_pass
	bra		enemy3_yes_pass
enemy3_yes_pass:
	move.w	#1,d2
	rts
enemy3_no_pass:
	move.w	#0,d2
	rts


bomberd3@0025:
sprite_enemy311:
	dc.b	%00000100,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110011,%00001100
	dc.b	%01000011,%00000110
	dc.b	%00110000,%00000110
	dc.b	%11110000,%00000111
	dc.b	%11111000,%00000011
	dc.b	%11111100,%00001111
	dc.b	%11111101,%00011111
	dc.b	%11111011,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%01100000
	dc.b	%00001011,%00110000
	dc.b	%01011111,%00111000
	dc.b	%00111110,%01100000
	dc.b	%11111111,%11100000
	dc.b	%11111111,%11111000
	dc.b	%11111111,%11110000
	dc.b	%11111100,%11100000
	dc.b	%11111011,%00000001
	dc.b	%10111111,%10000001
	dc.b	%01011111,%11000010
	dc.b	%01100111,%11100110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy312:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100110,%00000110
	dc.b	%01000110,%00000110
	dc.b	%10100000,%00000111
	dc.b	%11110000,%00000011
	dc.b	%11111000,%00001111
	dc.b	%11111100,%00011111
	dc.b	%11111101,%11111111
	dc.b	%11111011,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%11100000
	dc.b	%00000000,%11110000
	dc.b	%01010110,%01111000
	dc.b	%01010110,%01100000
	dc.b	%10111000,%01100000
	dc.b	%11111100,%11111000
	dc.b	%11111111,%11110000
	dc.b	%11111111,%11100000
	dc.b	%11111100,%00000001
	dc.b	%10111011,%00000001
	dc.b	%01011111,%11000010
	dc.b	%01100111,%11100110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy313:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00100000,%00001100
	dc.b	%01000000,%00000110
	dc.b	%01011000,%00000110
	dc.b	%11011000,%00000111
	dc.b	%10100000,%00000011
	dc.b	%10110000,%00001111
	dc.b	%11111000,%00011111
	dc.b	%11111111,%11111111
	dc.b	%11111011,%11111111
	dc.b	%01111011,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11110000
	dc.b	%00000011,%11111000
	dc.b	%00011001,%11100000
	dc.b	%10011001,%11100000
	dc.b	%10000001,%11111000
	dc.b	%10000011,%11110000
	dc.b	%11100111,%11100000
	dc.b	%11111000,%00000001
	dc.b	%10111010,%00000001
	dc.b	%01011011,%10000010
	dc.b	%01100111,%11100110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy314:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01110000,%00000110
	dc.b	%01000000,%00000110
	dc.b	%10010000,%00000111
	dc.b	%10111000,%00000011
	dc.b	%10010000,%00001111
	dc.b	%01000000,%00011111
	dc.b	%11100111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01110111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11111000
	dc.b	%00001111,%11100000
	dc.b	%00010111,%11100000
	dc.b	%00111011,%11111000
	dc.b	%00010011,%11110000
	dc.b	%00000011,%11100000
	dc.b	%11000000,%00000001
	dc.b	%10100000,%00000001
	dc.b	%01010000,%00000010
	dc.b	%01100111,%11100110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy315:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100000,%00000110
	dc.b	%01100000,%00000110
	dc.b	%11100000,%00000111
	dc.b	%11000000,%00000011
	dc.b	%10010000,%00001111
	dc.b	%10111000,%00011111
	dc.b	%10010011,%11111111
	dc.b	%11000011,%11111111
	dc.b	%01100111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11100000
	dc.b	%00011111,%11100000
	dc.b	%00001111,%11111000
	dc.b	%00010111,%11110000
	dc.b	%00111011,%11100000
	dc.b	%10010000,%00000001
	dc.b	%10000000,%00000001
	dc.b	%01000000,%00000010
	dc.b	%01100000,%00000110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy321:
	dc.b	%00000111,%00100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%11001100
	dc.b	%01100000,%11000010
	dc.b	%01100000,%00001100
	dc.b	%11100000,%00001111
	dc.b	%11000000,%00011111
	dc.b	%11110000,%00111111
	dc.b	%11111000,%10111111
	dc.b	%11111111,%11011111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000110,%00000000
	dc.b	%00001100,%11010000
	dc.b	%00011100,%11111010
	dc.b	%00000110,%01111100
	dc.b	%00000111,%11111111
	dc.b	%00011111,%11111111
	dc.b	%00001111,%11111111
	dc.b	%00000111,%00111111
	dc.b	%10000000,%11011111
	dc.b	%10000001,%11111101
	dc.b	%01000011,%11111010
	dc.b	%01100111,%11100110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy322:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100000,%01100110
	dc.b	%01100000,%01100010
	dc.b	%11100000,%00000101
	dc.b	%11000000,%00001111
	dc.b	%11110000,%00011111
	dc.b	%11111000,%00111111
	dc.b	%11111111,%10111111
	dc.b	%11111111,%11011111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%10000000
	dc.b	%00001111,%00000000
	dc.b	%00011110,%01101010
	dc.b	%00000110,%01101010
	dc.b	%00000110,%00011101
	dc.b	%00011111,%00111111
	dc.b	%00001111,%11111111
	dc.b	%00000111,%11111111
	dc.b	%10000000,%00111111
	dc.b	%10000000,%11011101
	dc.b	%01000011,%11111010
	dc.b	%01100111,%11100110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy323:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00000100
	dc.b	%01100000,%00000010
	dc.b	%01100000,%00011010
	dc.b	%11100000,%00011011
	dc.b	%11000000,%00000101
	dc.b	%11110000,%00001101
	dc.b	%11111000,%00011111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11011111
	dc.b	%01111111,%11011110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11100000
	dc.b	%00011111,%11000000
	dc.b	%00000111,%10011000
	dc.b	%00000111,%10011001
	dc.b	%00011111,%10000001
	dc.b	%00001111,%11000001
	dc.b	%00000111,%11100111
	dc.b	%10000000,%00011111
	dc.b	%10000000,%01011101
	dc.b	%01000001,%11011010
	dc.b	%01100111,%11100110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy324:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100000,%00001110
	dc.b	%01100000,%00000010
	dc.b	%11100000,%00001001
	dc.b	%11000000,%00011101
	dc.b	%11110000,%00001001
	dc.b	%11111000,%00000010
	dc.b	%11111111,%11100111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11101110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11110000
	dc.b	%00000111,%11110000
	dc.b	%00000111,%11101000
	dc.b	%00011111,%11011100
	dc.b	%00001111,%11001000
	dc.b	%00000111,%11000000
	dc.b	%10000000,%00000011
	dc.b	%10000000,%00000101
	dc.b	%01000000,%00001010
	dc.b	%01100111,%11100110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy325:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100000,%00000110
	dc.b	%01100000,%00000110
	dc.b	%11100000,%00000111
	dc.b	%11000000,%00000011
	dc.b	%11110000,%00001001
	dc.b	%11111000,%00011101
	dc.b	%11111111,%11001001
	dc.b	%11111111,%11000011
	dc.b	%01111111,%11100110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11111000
	dc.b	%00000111,%11111000
	dc.b	%00011111,%11110000
	dc.b	%00001111,%11101000
	dc.b	%00000111,%11011100
	dc.b	%10000000,%00001001
	dc.b	%10000000,%00000001
	dc.b	%01000000,%00000010
	dc.b	%01100000,%00000110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy331:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100000,%00000110
	dc.b	%01100000,%00000110
	dc.b	%11100001,%10000111
	dc.b	%11100001,%10000011
	dc.b	%11110000,%00001111
	dc.b	%11111000,%00011111
	dc.b	%11111011,%11011111
	dc.b	%11111011,%11011111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00001100,%00110000
	dc.b	%00011000,%00011000
	dc.b	%00011000,%00010000
	dc.b	%00011001,%10010000
	dc.b	%00011101,%10111000
	dc.b	%11001111,%11110011
	dc.b	%11110111,%11101111
	dc.b	%11111011,%11011111
	dc.b	%11111011,%11011111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy332:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100000,%00000110
	dc.b	%01100000,%00000110
	dc.b	%11100001,%10000111
	dc.b	%11100001,%10000011
	dc.b	%11110000,%00001111
	dc.b	%11111000,%00011111
	dc.b	%11111111,%11111111
	dc.b	%11111011,%11011111
	dc.b	%01111011,%11011110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011100,%00111000
	dc.b	%00011000,%00010000
	dc.b	%00011001,%10010000
	dc.b	%00011001,%10011000
	dc.b	%10001100,%00110001
	dc.b	%11100111,%11100111
	dc.b	%11111000,%00011111
	dc.b	%11111011,%11011111
	dc.b	%01111011,%11011110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy333:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100000,%00000110
	dc.b	%01100000,%00000110
	dc.b	%11100000,%00000111
	dc.b	%11100001,%10000011
	dc.b	%11110001,%10001111
	dc.b	%11111000,%00011111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111011,%11011110
	dc.b	%01111011,%11011110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011100,%00100000
	dc.b	%00011000,%00010000
	dc.b	%00011001,%10011000
	dc.b	%10001001,%10010001
	dc.b	%11000100,%00100011
	dc.b	%11100000,%00000111
	dc.b	%11111000,%00011111
	dc.b	%01111011,%11011110
	dc.b	%01111011,%11011110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy334:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100000,%00000110
	dc.b	%01100000,%00000110
	dc.b	%11100000,%00000111
	dc.b	%11100000,%00000011
	dc.b	%11110001,%10001111
	dc.b	%11111001,%10011111
	dc.b	%11111000,%00011111
	dc.b	%11111100,%00111111
	dc.b	%01111111,%11111110
	dc.b	%01111011,%11011110
	dc.b	%00111011,%11011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11100000
	dc.b	%00011111,%11100000
	dc.b	%00011100,%00111000
	dc.b	%10001001,%10010001
	dc.b	%11000001,%10000011
	dc.b	%11000000,%00000011
	dc.b	%11100000,%00000111
	dc.b	%01111000,%00011110
	dc.b	%01111011,%11011110
	dc.b	%00111011,%11011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy335:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100000,%00000110
	dc.b	%01100000,%00000110
	dc.b	%11100000,%00000111
	dc.b	%11100000,%00000011
	dc.b	%11110000,%00001111
	dc.b	%11111000,%00011111
	dc.b	%11111001,%10011111
	dc.b	%11111001,%10011111
	dc.b	%01111000,%00011110
	dc.b	%01111100,%00111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11100000
	dc.b	%00011111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000100,%00100000
	dc.b	%10000001,%10000001
	dc.b	%10000001,%10000001
	dc.b	%01000000,%00000010
	dc.b	%01100000,%00000110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy341:
	dc.b	%00000101,%10100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100000,%00000110
	dc.b	%01100000,%00000110
	dc.b	%11100000,%00000111
	dc.b	%11100000,%00000011
	dc.b	%11110000,%00001111
	dc.b	%11111000,%00011111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000001,%10000000
	dc.b	%00000100,%00100000
	dc.b	%00001100,%00110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11100000
	dc.b	%00011111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%10000000,%00000001
	dc.b	%10000000,%00000001
	dc.b	%01000000,%00000010
	dc.b	%01100000,%00000110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy342:
	dc.b	%00000100,%00100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100000,%00000110
	dc.b	%01100000,%00000110
	dc.b	%11100000,%00000111
	dc.b	%11100000,%00000011
	dc.b	%11110000,%00001111
	dc.b	%11111000,%00011111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000100,%00100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11100000
	dc.b	%00011111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%10000000,%00000001
	dc.b	%10000000,%00000001
	dc.b	%01000000,%00000010
	dc.b	%01100000,%00000110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy343:
	dc.b	%00000100,%00100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100000,%00000110
	dc.b	%01100000,%00000110
	dc.b	%11100000,%00000111
	dc.b	%11100000,%00000011
	dc.b	%11110000,%00001111
	dc.b	%11111000,%00011111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11100000
	dc.b	%00011111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%10000000,%00000001
	dc.b	%10000000,%00000001
	dc.b	%01000000,%00000010
	dc.b	%01100000,%00000110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
sprite_enemy344:
	dc.b	%00000111,%11100000
	dc.b	%00011000,%00011000
	dc.b	%00110000,%00001100
	dc.b	%01100000,%00000110
	dc.b	%01100000,%00000110
	dc.b	%11100000,%00000111
	dc.b	%11100000,%00000011
	dc.b	%11110000,%00001111
	dc.b	%11111000,%00011111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11100000
	dc.b	%00011111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%10000000,%00000001
	dc.b	%10000000,%00000001
	dc.b	%01000000,%00000010
	dc.b	%01100000,%00000110
	dc.b	%00111000,%00011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000