;*******************************************Draw enemy4
;*
;*	Draws the enemy4 sprite
;*
;*	Input:	a2=points to x-coordinate in array
;*		a3=points to y-coordinate in array
;*		a4=points to current sprite information
;*		a5=points to current direction
;********
bomberd3@0012:
draw_enemy4:
	move.w	(a2),d4
	move.w	(a3),d5
	move.w	(a4),d0
	move.w	(a5),dir
	cmp.w	#70,d0
	bcc		draw_enemy4_bomb_drop
	cmp.w	#50,d0
	bcc		draw_enemy4_explosion

	sub.w	#8,d4
	sub.w	#9,d5
	cmp.w	#1,dir
	beq		den4_s1
	cmp.w	#2,dir
	beq		den4_s2
	cmp.w	#3,dir
	beq		den4_s3
	cmp.w	#4,dir
	beq		den4_s4
	rts

den4_s1:
	sub.w	#8,d5
	cmp.w	#0,d0
	beq		den4_s11
	cmp.w	#1,d0
	beq		den4_s12
	cmp.w	#2,d0
	beq		den4_s13
	cmp.w	#3,d0
	beq		den4_s12
	rts

den4_s2:
	sub.w	#8,d5
	cmp.w	#0,d0
	beq		den4_s21
	cmp.w	#1,d0
	beq		den4_s22
	cmp.w	#2,d0
	beq		den4_s23
	cmp.w	#3,d0
	beq		den4_s22
	rts

den4_s3:
	sub.w	#9,d5
	cmp.w	#0,d0
	beq		den4_s31
	cmp.w	#1,d0
	beq		den4_s32
	cmp.w	#2,d0
	beq		den4_s33
	cmp.w	#3,d0
	beq		den4_s32
	rts

den4_s4:
	sub.w	#9,d5
	cmp.w	#0,d0
	beq		den4_s41
	cmp.w	#1,d0
	beq		den4_s42
	cmp.w	#2,d0
	beq		den4_s43
	cmp.w	#3,d0
	beq		den4_s42
	rts

den4_s11:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy411,d4,d5,#24
	rts

den4_s12:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy412,d4,d5,#24
	rts

den4_s13:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy413,d4,d5,#24
	rts

den4_s21:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy421,d4,d5,#24
	rts

den4_s22:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy422,d4,d5,#24
	rts

den4_s23:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy423,d4,d5,#24
	rts

den4_s31:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy431,d4,d5,#25
	rts

den4_s32:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy432,d4,d5,#25
	rts

den4_s33:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy433,d4,d5,#25
	rts

den4_s41:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy441,d4,d5,#25
	rts

den4_s42:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy442,d4,d5,#25
	rts

den4_s43:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy443,d4,d5,#25
	rts

draw_enemy4_bomb_drop:
	subq.w	#8,d4
	sub.w	#12,d5
	cmp.w	#70,d0
	beq		draw_enemy_bd1
	cmp.w	#71,d0
	beq		draw_enemy_bd1
	cmp.w	#89,d0
	beq		draw_enemy_bd1
	cmp.w	#90,d0
	beq		draw_enemy_bd1
	cmp.w	#72,d0
	beq		draw_enemy_bd2
	cmp.w	#73,d0
	beq		draw_enemy_bd2
	cmp.w	#87,d0
	beq		draw_enemy_bd2
	cmp.w	#88,d0
	beq		draw_enemy_bd2
	cmp.w	#74,d0
	beq		draw_enemy_bd3
	cmp.w	#75,d0
	beq		draw_enemy_bd3
	cmp.w	#85,d0
	beq		draw_enemy_bd3
	cmp.w	#86,d0
	beq		draw_enemy_bd3
	cmp.w	#76,d0
	beq		draw_enemy_bd4
	cmp.w	#77,d0
	beq		draw_enemy_bd4
	cmp.w	#83,d0
	beq		draw_enemy_bd4
	cmp.w	#84,d0
	beq		draw_enemy_bd4
	cmp.w	#78,d0
	beq		draw_enemy_bd5
	cmp.w	#79,d0
	beq		draw_enemy_bd5
	cmp.w	#81,d0
	beq		draw_enemy_bd5
	cmp.w	#82,d0
	beq		draw_enemy_bd5
	rts

draw_enemy_bd1:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy4a1,d4,d5,#20
	cmp.w	#70,d0
	beq		en4_reset_from_bomb_drop
	rts
draw_enemy_bd2:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy4a2,d4,d5,#20
	rts
draw_enemy_bd3:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy4a3,d4,d5,#20
	rts
draw_enemy_bd4:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy4a4,d4,d5,#20
	rts
draw_enemy_bd5:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy4a5,d4,d5,#20
	rts

en4_reset_from_bomb_drop:
	move.w	#1,(a4)
	rts

draw_enemy4_explosion:
	cmp.w	#50,d0
	beq		delete_enemy4
	subq.w	#8,d4
	sub.w	#14,d5
	cmp.w	#64,d0
	beq		draw_enemy_exp1
	cmp.w	#62,d0
	beq		draw_enemy_exp2
	cmp.w	#60,d0
	beq		draw_enemy_exp3
	cmp.w	#58,d0
	beq		draw_enemy_exp4
	cmp.w	#56,d0
	beq		draw_enemy_exp5
	cmp.w	#54,d0
	beq		draw_enemy_exp6
	cmp.w	#52,d0
	beq		draw_enemy_exp7
	cmp.w	#63,d0
	beq		draw_enemy_exp1
	cmp.w	#61,d0
	beq		draw_enemy_exp2
	cmp.w	#59,d0
	beq		draw_enemy_exp3
	cmp.w	#57,d0
	beq		draw_enemy_exp4
	cmp.w	#55,d0
	beq		draw_enemy_exp5
	cmp.w	#53,d0
	beq		draw_enemy_exp6
	cmp.w	#51,d0
	beq		draw_enemy_exp7
	rts

;*******************************************Add enemy4
;*
;*	Add a new enemy4
;*
;*	Input:	d0=x-coordinate of new enemy4 in blocks
;*		d1=y-coordinate of new enemy4 in blocks
;*
;********
bomberd3@0013:
add_enemy4:
	move.w	d0,x
	move.w	d1,y
	movem.l	d0-d3/a0,-(a7)

	lea	bomberd2::enemy4_x,a0		;Set vexp x
	move.w  bomberd2::enemy4count,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a0
	move.w	x,d2
	mulu.w	#16,d2
	addq.w	#8,d2
	move.w	d2,(a0)

	lea	bomberd2::enemy4_y,a0		;Set vexp y
	move.w  bomberd2::enemy4count,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a0
	move.w	y,d2
	mulu.w	#16,d2
	addq.w	#8,d2
	move.w	d2,(a0)

	lea	bomberd2::enemy4_d,a0		;Set vexp s
	move.w  bomberd2::enemy4count,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a0
	Random	#4,d3
	addq.w	#1,d3
	move.w	d3,(a0)

	lea	bomberd2::enemy4_s,a0		;Set vexp s
	lea	0(a0,d2.w),a0
	move.w	#1,(a0)

	addq.w	#1,bomberd2::enemy4count

	movem.l	(a7)+,d0-d3/a0
	rts

;*******************************************Get Enemy 4 Stats
;*
;*	Gather pointers for a certain enemy
;*
;*	Input:	d6=the number of this enemy in the enemy arrays
;*
;*	Output:	a2=pointer to x coordinate
;*		a3=pointer to y coordinate
;*		a4=pointer to sprite info
;*		a5=pointer to enemy direction
;*
;********
bomberd3@000F:
learn_enemy4:
	lea	bomberd2::enemy4_x,a0		;Get enemy4 d6's x
	move.w  d6,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a2

	lea	bomberd2::enemy4_y,a0		;Get enemy4 d6's y
	lea	0(a0,d2.w),a3

	lea	bomberd2::enemy4_s,a0		;Get enemy4 d6's s
	lea	0(a0,d2.w),a4

	lea	bomberd2::enemy4_d,a0		;Get enemy4 d6's d
	lea	0(a0,d2.w),a5

	rts

;*******************************************Move enemy4
;*
;*	Move an enemy
;*
;*	Input:	a2=pointer to x coordinate
;*		a3=pointer to y coordinate
;*		a4=pointer to sprite info
;*		a5=pointer to enemy direction
;*
;********
bomberd3@0010:
move_enemy4:
	clr.l	d0
	clr.l	d1
	clr.l	d2
	move.w	(a2),x
	move.w	(a3),y
	move.w	(a4),s
	move.w	(a5),dir
	move.w	#0,ct
	SetExtraPosInfo x,y

	cmp.w	#70,s
	bcs		me4_bomb_not_dropping
		cmp.w	#80,s
		beq		me4_end_eighty_check
		subq.w	#1,s
		cmp.w	#80,s
		bne		me4_end_eighty_check
		move.w	eblock_x,x
		move.w	eblock_y,y
		move.w	#1,o
		jsr		bomberd4::add_bomb
		me4_end_eighty_check:

		cmp.w	#80,s
		bne		me4_end_check_waiting_for_explosion
		move.w	eblock_x,d0
		move.w	eblock_y,d1
		GetBoard d2
		cmp.w	#3,d2
		beq	me4_end_check_waiting_for_explosion
		subq.w	#1,s
		me4_end_check_waiting_for_explosion:
		move.w	s,(a4)
		rts
	me4_bomb_not_dropping:

	addq.w	#1,s
	cmp.w	#4,s
	bne		me4_no_reset_s
	move.w	#0,s
me4_no_reset_s:

	cmp.w	#8,erelpos_x		;IF relpos_x=5
	bne		me4_no_try_bomb_drop
	cmp.w	#8,erelpos_y		;and relpos_y=5
	bne		me4_no_try_bomb_drop
	move.w	eblock_x,d0
	move.w	eblock_y,d1
	bsr		check_surrounded
	cmp.w	#1,d5
	beq		me4_try_bomb_drop_surrounded
		Random	#15,d3
		cmp.w	#1,d3	
		bne		me4_no_try_bomb_drop
			move.w	#90,(a4)
			rts
	me4_try_bomb_drop_surrounded:
		Random	#25,d3
		cmp.w	#1,d3
		bne		me4_no_try_bomb_drop
			move.w	#90,(a4)
			rts
	me4_no_try_bomb_drop:

	cmp.w	#8,erelpos_x		;IF relpos_x=5
	bne		me4_else_1
	cmp.w	#8,erelpos_y		;and relpos_y=5
	bne		me4_else_1
	move.w	eblock_x,d0
	move.w	eblock_y,d1
	bsr		check_surrounded
	cmp.w	#1,d5
	beq		me4_end_if_1
	Random  #5,d3			;and (RND*5=1)
	cmp.w	#1,d3
	bne	me4_else_1

		Random  #4,d3
		addq.w	#1,d3
		move.w	d3,dir

		bra		me4_end_if_1

me4_else_1:

		cmp.w	#1,dir			;IF dir(a)=1 then
		bne		me4_else_if_11

			cmp.w	#8,erelpos_x		;IF relpos_x>5 or relpos_x<5 then
			beq		me4_else_101


				subq.w	#1,x

				bra		me4_end_if_1

		me4_else_101:

			cmp.w	#0,eblock_x		;IF block_x=0
			beq	me4_if_1011
			move.w	eblock_x,d0		;or board((block_x-1)*10+block_y)<>0
			subq.w	#1,d0
			move.w	eblock_y,d1
			bsr		enemy4_check_pass
			cmp.w	#0,d2
			beq	me4_if_1011
			
				subq.w	#1,x
				bra		me4_end_if_1

			me4_if_1011:

				move.w	#4,dir
				cmp.w	#3,ct
				beq		me4_end_if_1
				addq.w	#1,ct
				bra		me4_else_if_13

	me4_else_if_11:

		cmp.w	#2,dir			;IF dir(a)=2 then
		bne		me4_else_if_12

			cmp.w	#8,erelpos_x		;IF relpos_x>5 or relpos_x<5 then
			beq		me4_else_111


				addq.w	#1,x

				bra		me4_end_if_1

		me4_else_111:

			move.w	bomberd2::map_width,d0
			move.w	eblock_x,d1
			cmp.w		d0,d1			;IF block_x=12
			beq		me4_if_1111
			move.w	eblock_x,d0		;or board((block_x+1)*10+block_y)<>0
			addq.w	#1,d0
			move.w	eblock_y,d1
			bsr		enemy4_check_pass
			cmp.w	#0,d2
			beq	me4_if_1111
			
				addq.w	#1,x
				bra		me4_end_if_1

			me4_if_1111:

				move.w	#3,dir
				cmp.w	#3,ct
				beq		me4_end_if_1
				addq.w	#1,ct
				bra		me4_else_if_12

	me4_else_if_12:

		cmp.w	#3,dir			;IF dir(a)=3 then
		bne		me4_else_if_13

			cmp.w	#8,erelpos_y		;IF relpos_y>5 or relpos_y<5 then
			beq		me4_else_121


				addq.w	#1,y

				bra		me4_end_if_1

		me4_else_121:

			move.w  bomberd2::map_height,d0
			move.w  eblock_y,d1
			cmp.w	d0,d1			;IF block_y=9
			beq		me4_if_1211
			move.w	eblock_x,d0		;or board((block_x)*10+block_y+1)<>0
			move.w	eblock_y,d1
			addq.w	#1,d1
			bsr		enemy4_check_pass
			cmp.w	#0,d2
			beq	me4_if_1211
			
				addq.w	#1,y
				bra		me4_end_if_1

			me4_if_1211:

				move.w	#1,dir
				cmp.w	#3,ct
				beq		me4_end_if_1
				addq.w	#1,ct
				bra		me4_else_1
	me4_else_if_13:

		cmp.w	#4,dir			;IF dir(a)=4 then
		bne		me4_end_if_1

			cmp.w	#8,erelpos_y		;IF relpos_y>5 or relpos_y<5 then
			beq		me4_else_131


				subq.w	#1,y

				bra		me4_end_if_1

		me4_else_131:

			cmp.w	#0,eblock_y		;IF block_y=0
			beq		me4_if_1311
			move.w	eblock_x,d0		;or board((block_x)*10+block_y-1)<>0
			move.w	eblock_y,d1
			subq.w	#1,d1
			bsr		enemy4_check_pass
			cmp.w	#0,d2
			beq	me4_if_1311

				subq.w	#1,y
				bra		me4_end_if_1

			me4_if_1311:

				move.w	#2,dir
				cmp.w	#3,ct
				beq		me4_end_if_1
				addq.w	#1,ct
				bra		me4_else_if_11
me4_end_if_1:

	move.w	x,(a2)
	move.w	y,(a3)
	move.w	s,(a4)
	move.w	dir,(a5)
	rts

;*******************************************Delete enemy4
;*
;*	Delete an enemy
;*
;*	Input:	d6=number of this enemy in the enemy array
;*
;********
bomberd3@0011:
delete_enemy4:
	
	movem.l	d0-d4/a0-a4,-(a7)

	lea	bomberd2::enemy4_x,a0
	move.w  d6,d0
	mulu.w	#2,d0
	lea	0(a0,d0.w),a0

	lea	bomberd2::enemy4_y,a4
	lea	0(a4,d0.w),a4

	lea	bomberd2::enemy4_s,a2
	lea	0(a2,d0.w),a2

	lea	bomberd2::enemy4_d,a3
	lea	0(a3,d0.w),a3

	move.w	bomberd2::enemy4count,d0
	sub.w	d6,d0
	subq.w	#1,d0

	addq.w	#$02,a0
	addq.w	#$02,a4
	addq.w	#$02,a2
	addq.w	#$02,a3
denemy4_loop:
	
	move.w	(a0),d1
	subq.w	#$02,a0
	move.w	d1,(a0)
	addq.w	#$04,a0
	move.w	(a4),d1
	subq.w	#$02,a4
	move.w	d1,(a4)
	addq.w	#$04,a4
	move.w	(a2),d1
	subq.w	#$02,a2
	move.w	d1,(a2)
	addq.w	#$04,a2
	move.w	(a3),d1
	subq.w	#$02,a3
	move.w	d1,(a3)
	addq.w	#$04,a3

	dbra.w	d0,denemy4_loop

	subq.w	#1,bomberd2::enemy4count

	movem.l	(a7)+,d0-d4/a0-a4
	rts


;*******************************************Check Pass Block
;*
;*	Check if an enemy can pass a block
;*
;*	Input:	d0=x, d1=y
;*
;*	Output: d2=0 if cannot pass, else, can pass
;*
;********
enemy4_check_pass:
	GetBoard d2
	cmp.w	#4,d2
	beq		enemy4_yes_pass
	cmp.w	#0,d2
	bne		enemy4_no_pass
	bra		enemy4_yes_pass
enemy4_yes_pass:
	move.w	#1,d2
	rts
enemy4_no_pass:
	move.w	#0,d2
	rts



bomberd3@0026:
sprite_enemy411:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000010
	dc.b	%00000111,%11101100
	dc.b	%00011111,%11010110
	dc.b	%00111011,%10101100
	dc.b	%00111111,%10111100
	dc.b	%01100011,%10011110
	dc.b	%00100011,%11111110
	dc.b	%00100011,%11111110
	dc.b	%00111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01101001,%11111110
	dc.b	%00110011,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000100
	dc.b	%00000111,%11101110
	dc.b	%00011111,%10111100
	dc.b	%00100001,%10111100
	dc.b	%00100000,%10110100
	dc.b	%01000100,%11100110
	dc.b	%01000100,%01001110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000110
	dc.b	%00000111,%11101110
	dc.b	%00011111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
sprite_enemy412:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11101100
	dc.b	%00011111,%11010100
	dc.b	%00111011,%10101100
	dc.b	%00111111,%10111100
	dc.b	%01100011,%10011110
	dc.b	%00100011,%11111110
	dc.b	%00100011,%11111110
	dc.b	%00111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01101001,%11111110
	dc.b	%00110011,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000001,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000010
	dc.b	%00000111,%11101100
	dc.b	%00011111,%10111110
	dc.b	%00100001,%10111100
	dc.b	%00100000,%10110100
	dc.b	%01000100,%11100110
	dc.b	%01000100,%01001110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000001,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000010
	dc.b	%00000111,%11101100
	dc.b	%00011111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000001,%10000000
sprite_enemy413:
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11101100
	dc.b	%00011111,%11010100
	dc.b	%00111011,%10101100
	dc.b	%00111111,%10111100
	dc.b	%01100011,%10011110
	dc.b	%00100011,%11111110
	dc.b	%00100011,%11111110
	dc.b	%00111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01101001,%11111110
	dc.b	%00110011,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000100
	dc.b	%00000111,%11101110
	dc.b	%00011111,%10111100
	dc.b	%00100001,%10111100
	dc.b	%00100000,%10110100
	dc.b	%01000100,%11100110
	dc.b	%01000100,%01001110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000100
	dc.b	%00000111,%11101110
	dc.b	%00011111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
sprite_enemy421:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%01000000,%00000000
	dc.b	%00110111,%11100000
	dc.b	%01101011,%11111000
	dc.b	%00110101,%11011100
	dc.b	%00111101,%11111100
	dc.b	%01111001,%11000110
	dc.b	%01111111,%11000100
	dc.b	%01111111,%11000100
	dc.b	%01111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%10010110
	dc.b	%00111111,%11001100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00100000,%00000000
	dc.b	%01110111,%11100000
	dc.b	%00111101,%11111000
	dc.b	%00111101,%10000100
	dc.b	%00101101,%00000100
	dc.b	%01100111,%00100010
	dc.b	%01110010,%00100010
	dc.b	%01111110,%00111010
	dc.b	%01111111,%00000010
	dc.b	%01111111,%10000110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%01100000,%00000000
	dc.b	%01110111,%11100000
	dc.b	%01111111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
sprite_enemy422:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00110111,%11100000
	dc.b	%00101011,%11111000
	dc.b	%00110101,%11011100
	dc.b	%00111101,%11111100
	dc.b	%01111001,%11000110
	dc.b	%01111111,%11000100
	dc.b	%01111111,%11000100
	dc.b	%01111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%10010110
	dc.b	%00111111,%11001100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000001,%10000000
	dc.b	%00000000,%00000000
	dc.b	%01000000,%00000000
	dc.b	%00110111,%11100000
	dc.b	%01111101,%11111000
	dc.b	%00111101,%10000100
	dc.b	%00101101,%00000100
	dc.b	%01100111,%00100010
	dc.b	%01110010,%00100010
	dc.b	%01111110,%00111010
	dc.b	%01111111,%00000010
	dc.b	%01111111,%10000110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000001,%10000000
	dc.b	%00000000,%00000000
	dc.b	%01000000,%00000000
	dc.b	%00110111,%11100000
	dc.b	%01111111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000001,%10000000
sprite_enemy423:
	dc.b	%00000000,%00000000
	dc.b	%00110111,%11100000
	dc.b	%00101011,%11111000
	dc.b	%00110101,%11011100
	dc.b	%00111101,%11111100
	dc.b	%01111001,%11000110
	dc.b	%01111111,%11000100
	dc.b	%01111111,%11000100
	dc.b	%01111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%10010110
	dc.b	%00111111,%11001100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00100000,%00000000
	dc.b	%01110111,%11100000
	dc.b	%00111101,%11111000
	dc.b	%00111101,%10000100
	dc.b	%00101101,%00000100
	dc.b	%01100111,%00100010
	dc.b	%01110010,%00100010
	dc.b	%01111110,%00111010
	dc.b	%01111111,%00000010
	dc.b	%01111111,%10000110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00100000,%00000000
	dc.b	%01110111,%11100000
	dc.b	%00111111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000

sprite_enemy431:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011101,%11111000
	dc.b	%00111101,%11111100
	dc.b	%00111110,%11111100
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01110111,%11101110
	dc.b	%00110111,%11101100
	dc.b	%00111001,%10011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00001011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011101,%10111000
	dc.b	%00100110,%10111100
	dc.b	%00100101,%00111100
	dc.b	%01000111,%11111110
	dc.b	%01000100,%01111110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00001011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
sprite_enemy432:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011101,%11111000
	dc.b	%00111101,%11111100
	dc.b	%00111110,%11111100
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01110111,%11101110
	dc.b	%00110111,%11101100
	dc.b	%00111001,%10011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000001,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000010,%00000000
	dc.b	%00000111,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011101,%10111000
	dc.b	%00100110,%10111100
	dc.b	%00100101,%00111100
	dc.b	%01000111,%11111110
	dc.b	%01000100,%01111110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000001,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000010,%00000000
	dc.b	%00000111,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000001,%10000000
sprite_enemy433:
	dc.b	%00000000,%00000000
	dc.b	%00000011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011101,%11111000
	dc.b	%00111101,%11111100
	dc.b	%00111110,%11111100
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01110111,%11101110
	dc.b	%00110111,%11101100
	dc.b	%00111001,%10011100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000100,%10000000
	dc.b	%00000011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011101,%10111000
	dc.b	%00100110,%10111100
	dc.b	%00100101,%00111100
	dc.b	%01000111,%11111110
	dc.b	%01000100,%01111110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000100,%10000000
	dc.b	%00000011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
sprite_enemy441:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011101,%11111000
	dc.b	%00111101,%11111100
	dc.b	%00111110,%11111100
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00001011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011101,%10111000
	dc.b	%00100110,%10111100
	dc.b	%00100101,%00111100
	dc.b	%01000111,%11111110
	dc.b	%01000100,%01111110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00001011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
sprite_enemy442:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011101,%11111000
	dc.b	%00111101,%11111100
	dc.b	%00111110,%11111100
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000001,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000010,%00000000
	dc.b	%00000111,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011101,%10111000
	dc.b	%00100110,%10111100
	dc.b	%00100101,%00111100
	dc.b	%01000111,%11111110
	dc.b	%01000100,%01111110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000001,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000010,%00000000
	dc.b	%00000111,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000001,%10000000
sprite_enemy443:
	dc.b	%00000000,%00000000
	dc.b	%00000011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011101,%11111000
	dc.b	%00111101,%11111100
	dc.b	%00111110,%11111100
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000100,%10000000
	dc.b	%00000011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011101,%10111000
	dc.b	%00100110,%10111100
	dc.b	%00100101,%00111100
	dc.b	%01000111,%11111110
	dc.b	%01000100,%01111110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000100,%10000000
	dc.b	%00000011,%00000000
	dc.b	%00000111,%11100000
	dc.b	%00011111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
sprite_enemy4a1:
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11101100
	dc.b	%00011111,%11010100
	dc.b	%00111011,%10101100
	dc.b	%00111111,%10111100
	dc.b	%01100011,%10011110
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000100
	dc.b	%00000111,%11101110
	dc.b	%00011111,%10111100
	dc.b	%00100001,%10111100
	dc.b	%00100000,%10110100
	dc.b	%01000100,%11100110
	dc.b	%01000100,%01001110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000100
	dc.b	%00000111,%11101110
	dc.b	%00011111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
sprite_enemy4a2:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11101100
	dc.b	%00011111,%11010100
	dc.b	%00111011,%10101100
	dc.b	%00111111,%10111100
	dc.b	%01100011,%10011110
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000100
	dc.b	%00000111,%11101110
	dc.b	%00011111,%10111100
	dc.b	%00100001,%10111100
	dc.b	%00100000,%10110100
	dc.b	%01000100,%11100110
	dc.b	%01000100,%01001110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000100
	dc.b	%00000111,%11101110
	dc.b	%00011111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
sprite_enemy4a3:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11101100
	dc.b	%00011111,%11010100
	dc.b	%00111011,%10101100
	dc.b	%00111111,%10111100
	dc.b	%01100011,%10011110
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000100
	dc.b	%00000111,%11101110
	dc.b	%00011111,%10111100
	dc.b	%00100001,%10111100
	dc.b	%00100000,%10110100
	dc.b	%01000100,%11100110
	dc.b	%01000100,%01001110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000100
	dc.b	%00000111,%11101110
	dc.b	%00011111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
sprite_enemy4a4:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11101100
	dc.b	%00011111,%11010100
	dc.b	%00111011,%10101100
	dc.b	%00111111,%10111100
	dc.b	%01100011,%10011110
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000100
	dc.b	%00000111,%11101110
	dc.b	%00011111,%10111100
	dc.b	%00100001,%10111100
	dc.b	%00100000,%10110100
	dc.b	%01000100,%11100110
	dc.b	%01000100,%01001110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000100
	dc.b	%00000111,%11101110
	dc.b	%00011111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
sprite_enemy4a5:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000111,%11101100
	dc.b	%00011111,%11010100
	dc.b	%00111011,%10101100
	dc.b	%00111111,%10111100
	dc.b	%01100011,%10011110
	dc.b	%01100011,%11111110
	dc.b	%01100011,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000100
	dc.b	%00000111,%11101110
	dc.b	%00011111,%10111100
	dc.b	%00100001,%10111100
	dc.b	%00100000,%10110100
	dc.b	%01000100,%11100110
	dc.b	%01000100,%01001110
	dc.b	%01011100,%01111110
	dc.b	%01000000,%11111110
	dc.b	%01100001,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000100
	dc.b	%00000111,%11101110
	dc.b	%00011111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%01111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11110000
	dc.b	%00000011,%11000000
