;*******************************************Check Collision Enemy1 Vs Vexp
;*
;*	Clecks the collision of enemy1 and verticle explosion
;*
;********
col_en1_vs_vexp:
	movem.l		d0-d7/a0-a4,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy1count,d7
	cmp.w	#0,d7
	ble		end_col_en1_vs_vexp_loop_2

	move.w	bomberd2::vexpcount,d7
	cmp.w	#0,d7
	ble		end_col_en1_vs_vexp_loop_2
	subq.w	#1,d7

	col_en1_vs_vexp_loop_2:
		move.w	d7,d6
		lea	bomberd2::vexp_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::vexp_y,a0		;Get enemy d6's y
		lea	0(a0,d2.w),a3
		lea	bomberd2::vexp_o,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a4
		cmp.w	#1,(a4)
		beq	next_col_en1_vs_vexp_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy1count,d7
			cmp.w	#0,d7
			ble		end_col_en1_vs_vexp_loop_1
			subq.w	#1,d7

			col_en1_vs_vexp_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy1_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy1_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy1_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en1_vs_vexp_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#3,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en1_vs_vexp_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#3,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en1_vs_vexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#4,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en1_vs_vexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#4,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en1_vs_vexp_no_col

					move.w	#64,(a4)
					add.w	#100,bomberd2::score
					bsr		draw_score

				col_en1_vs_vexp_no_col:

				dbra.w	d7,col_en1_vs_vexp_loop_1
			end_col_en1_vs_vexp_loop_1:

		movem.l		(a7)+,d6-d7
		next_col_en1_vs_vexp_loop_2:
		dbra.w	d7,col_en1_vs_vexp_loop_2
	end_col_en1_vs_vexp_loop_2:

	movem.l		(a7)+,d0-d7/a0-a4
	rts

;*******************************************Check Collision Enemy1 Vs Mine
;*
;*	Clecks the collision of enemy1 and mines
;*
;********
col_en1_vs_mine:
	movem.l		d0-d7/a0-a6,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy1count,d7
	cmp.w	#0,d7
	ble		end_col_en1_vs_mine_loop_2

	move.w	bomberd2::minecount,d7
	cmp.w	#0,d7
	ble		end_col_en1_vs_mine_loop_2
	subq.w	#1,d7

	col_en1_vs_mine_loop_2:
		move.w	d7,d6
		lea	bomberd2::mine_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::mine_y,a0		;Get enemy d6's y
		lea	0(a0,d2.w),a3
		lea	bomberd2::mine_t,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a5
		lea	bomberd2::mine_s,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a6
		cmp.w	#0,(a5)
		bne	next_col_en1_vs_mine_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy1count,d7
			cmp.w	#0,d7
			ble		end_col_en1_vs_mine_loop_1
			subq.w	#1,d7

			col_en1_vs_mine_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy1_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy1_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy1_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en1_vs_mine_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#4,d4
				addq.w	#4,d5
				cmp.w	d4,d5
				bcs		col_en1_vs_mine_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#4,d4
				subq.w	#4,d5
				cmp.w	d4,d5
				bhi		col_en1_vs_mine_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#4,d4
				addq.w	#4,d5
				cmp.w	d4,d5
				bcs		col_en1_vs_mine_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#4,d4
				subq.w	#4,d5
				cmp.w	d4,d5
				bhi		col_en1_vs_mine_no_col

					move.w	bomberd2::mineexplife,(a6)
					move.w	#2,(a5)

				col_en1_vs_mine_no_col:

				dbra.w	d7,col_en1_vs_mine_loop_1
			end_col_en1_vs_mine_loop_1:

		movem.l		(a7)+,d6-d7
		next_col_en1_vs_mine_loop_2:
		dbra.w	d7,col_en1_vs_mine_loop_2
	end_col_en1_vs_mine_loop_2:

	movem.l		(a7)+,d0-d7/a0-a6
	rts

;*******************************************Check Collision Enemy1 Vs Hexp
;*
;*	Clecks the collision of enemy1 and horizontal explosion
;*
;********
col_en1_vs_hexp:
	movem.l		d0-d7/a0-a4,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy1count,d7
	cmp.w	#0,d7
	ble		end_col_en1_vs_hexp_loop_2

	move.w	bomberd2::hexpcount,d7
	cmp.w	#0,d7
	ble		end_col_en1_vs_hexp_loop_2
	subq.w	#1,d7

	col_en1_vs_hexp_loop_2:
		move.w	d7,d6
		lea	bomberd2::hexp_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::hexp_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		lea	bomberd2::hexp_o,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a4
		cmp.w	#1,(a4)
		beq	next_col_en1_vs_hexp_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy1count,d7
			cmp.w	#0,d7
			ble		end_col_en1_vs_hexp_loop_1
			subq.w	#1,d7

			col_en1_vs_hexp_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy1_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy1_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy1_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en1_vs_hexp_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#4,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en1_vs_hexp_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#4,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en1_vs_hexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#3,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en1_vs_hexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#3,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en1_vs_hexp_no_col

					move.w	#64,(a4)
					add.w	#100,bomberd2::score
					bsr		draw_score

				col_en1_vs_hexp_no_col:

				dbra.w	d7,col_en1_vs_hexp_loop_1
			end_col_en1_vs_hexp_loop_1:

		movem.l		(a7)+,d6-d7
		next_col_en1_vs_hexp_loop_2:
		dbra.w	d7,col_en1_vs_hexp_loop_2
	end_col_en1_vs_hexp_loop_2:

	movem.l		(a7)+,d0-d7/a0-a4
	rts

;*******************************************Check Collision Enemy3 Vs Vexp
;*
;*	Clecks the collision of enemy3 and verticle explosion
;*
;********
col_en3_vs_vexp:
	movem.l		d0-d7/a0-a4,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy3count,d7
	cmp.w	#0,d7
	ble		end_col_en3_vs_vexp_loop_2

	move.w	bomberd2::vexpcount,d7
	cmp.w	#0,d7
	ble		end_col_en3_vs_vexp_loop_2
	subq.w	#1,d7

	col_en3_vs_vexp_loop_2:
		move.w	d7,d6
		lea	bomberd2::vexp_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::vexp_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		lea	bomberd2::vexp_o,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a4
		cmp.w	#1,(a4)
		beq	next_col_en3_vs_vexp_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy3count,d7
			cmp.w	#0,d7
			ble		end_col_en3_vs_vexp_loop_1
			subq.w	#1,d7

			col_en3_vs_vexp_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy3_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy3_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy3_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en3_vs_vexp_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#3,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en3_vs_vexp_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#3,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en3_vs_vexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#4,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en3_vs_vexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#4,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en3_vs_vexp_no_col

					move.w	#64,(a4)
					add.w	#150,bomberd2::score
					bsr		draw_score

				col_en3_vs_vexp_no_col:

				dbra.w	d7,col_en3_vs_vexp_loop_1
			end_col_en3_vs_vexp_loop_1:

		movem.l		(a7)+,d6-d7
		next_col_en3_vs_vexp_loop_2:
		dbra.w	d7,col_en3_vs_vexp_loop_2
	end_col_en3_vs_vexp_loop_2:

	movem.l		(a7)+,d0-d7/a0-a4
	rts

;*******************************************Check Collision Enemy3 Vs Hexp
;*
;*	Clecks the collision of enemy3 and horizontal explosion
;*
;********
col_en3_vs_hexp:
	movem.l		d0-d7/a0-a4,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy3count,d7
	cmp.w	#0,d7
	ble		end_col_en3_vs_hexp_loop_2

	move.w	bomberd2::hexpcount,d7
	cmp.w	#0,d7
	ble		end_col_en3_vs_hexp_loop_2
	subq.w	#1,d7

	col_en3_vs_hexp_loop_2:
		move.w	d7,d6
		lea	bomberd2::hexp_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::hexp_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		lea	bomberd2::hexp_o,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a4
		cmp.w	#1,(a4)
		beq	next_col_en3_vs_hexp_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy3count,d7
			cmp.w	#0,d7
			ble		end_col_en3_vs_hexp_loop_1
			subq.w	#1,d7

			col_en3_vs_hexp_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy3_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy3_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy3_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en3_vs_hexp_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#4,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en3_vs_hexp_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#4,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en3_vs_hexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#3,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en3_vs_hexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#3,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en3_vs_hexp_no_col

					move.w	#64,(a4)
					add.w	#150,bomberd2::score
					bsr		draw_score

				col_en3_vs_hexp_no_col:

				dbra.w	d7,col_en3_vs_hexp_loop_1
			end_col_en3_vs_hexp_loop_1:

		movem.l		(a7)+,d6-d7
		next_col_en3_vs_hexp_loop_2:
		dbra.w	d7,col_en3_vs_hexp_loop_2
	end_col_en3_vs_hexp_loop_2:

	movem.l		(a7)+,d0-d7/a0-a4
	rts

;*******************************************Check Collision Enemy3 Vs Mine
;*
;*	Clecks the collision of enemy3 and mines
;*
;********
col_en3_vs_mine:
	movem.l		d0-d7/a0-a6,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy3count,d7
	cmp.w	#0,d7
	ble		end_col_en3_vs_mine_loop_2

	move.w	bomberd2::minecount,d7
	cmp.w	#0,d7
	ble		end_col_en3_vs_mine_loop_2
	subq.w	#1,d7

	col_en3_vs_mine_loop_2:
		move.w	d7,d6
		lea	bomberd2::mine_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::mine_y,a0		;Get enemy d6's y
		lea	0(a0,d2.w),a3
		lea	bomberd2::mine_t,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a5
		lea	bomberd2::mine_s,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a6
		cmp.w	#0,(a5)
		bne	next_col_en3_vs_mine_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy3count,d7
			cmp.w	#0,d7
			ble		end_col_en3_vs_mine_loop_1
			subq.w	#1,d7

			col_en3_vs_mine_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy3_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy3_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy3_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en3_vs_mine_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#4,d4
				addq.w	#4,d5
				cmp.w	d4,d5
				bcs		col_en3_vs_mine_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#4,d4
				subq.w	#4,d5
				cmp.w	d4,d5
				bhi		col_en3_vs_mine_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#4,d4
				addq.w	#4,d5
				cmp.w	d4,d5
				bcs		col_en3_vs_mine_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#4,d4
				subq.w	#4,d5
				cmp.w	d4,d5
				bhi		col_en3_vs_mine_no_col

					move.w	bomberd2::mineexplife,(a6)
					move.w	#2,(a5)

				col_en3_vs_mine_no_col:

				dbra.w	d7,col_en3_vs_mine_loop_1
			end_col_en3_vs_mine_loop_1:

		movem.l		(a7)+,d6-d7
		next_col_en3_vs_mine_loop_2:
		dbra.w	d7,col_en3_vs_mine_loop_2
	end_col_en3_vs_mine_loop_2:

	movem.l		(a7)+,d0-d7/a0-a6
	rts

;*******************************************Check Collision Enemy3 Vs Bomb
;*
;*	Clecks the collision of enemy3 and bomb
;*
;********
col_en3_vs_bomb:
	movem.l		d0-d7/a0-a6,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy3count,d7
	cmp.w	#0,d7
	ble		end_col_en3_vs_bomb_loop_2

	move.w	bomberd2::bombcount,d7
	cmp.w	#0,d7
	ble		end_col_en3_vs_bomb_loop_2
	subq.w	#1,d7

	col_en3_vs_bomb_loop_2:
		move.w	d7,d6
		lea	bomberd2::bomb_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::bomb_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		move.w	(a2),d0
		move.w	(a3),d1

		move.w		d7,bombnum

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy3count,d7
			cmp.w	#0,d7
			ble		end_col_en3_vs_bomb_loop_1
			subq.w	#1,d7

			col_en3_vs_bomb_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy3_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy3_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#3,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en3_vs_bomb_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#3,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en3_vs_bomb_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#4,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en3_vs_bomb_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#4,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en3_vs_bomb_no_col

					move.l	d6,-(a7)
					move.w	bombnum,d6
					jsr		bomberd4::delete_bomb
					move.l	(a7)+,d6

					bsr		draw_score

				col_en3_vs_bomb_no_col:

				dbra.w	d7,col_en3_vs_bomb_loop_1
			end_col_en3_vs_bomb_loop_1:

		movem.l		(a7)+,d6-d7
		dbra.w	d7,col_en3_vs_bomb_loop_2
	end_col_en3_vs_bomb_loop_2:

	movem.l		(a7)+,d0-d7/a0-a6
	rts

bombnum		dc.w	0

;*******************************************Check Collision Enemy4 Vs Vexp
;*
;*	Clecks the collision of enemy4 and verticle explosion
;*
;********
col_en4_vs_vexp:
	movem.l		d0-d7/a0-a4,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy4count,d7
	cmp.w	#0,d7
	ble		end_col_en4_vs_vexp_loop_2

	move.w	bomberd2::vexpcount,d7
	cmp.w	#0,d7
	ble		end_col_en4_vs_vexp_loop_2
	subq.w	#1,d7

	col_en4_vs_vexp_loop_2:
		move.w	d7,d6
		lea	bomberd2::vexp_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::vexp_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		lea	bomberd2::vexp_o,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a4
		cmp.w	#1,(a4)
		beq	next_col_en4_vs_vexp_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy4count,d7
			cmp.w	#0,d7
			ble		end_col_en4_vs_vexp_loop_1
			subq.w	#1,d7

			col_en4_vs_vexp_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy4_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy4_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy4_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en4_vs_vexp_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#3,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en4_vs_vexp_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#3,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en4_vs_vexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#4,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en4_vs_vexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#4,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en4_vs_vexp_no_col

					move.w	#64,(a4)
					add.w	#150,bomberd2::score
					bsr		draw_score

				col_en4_vs_vexp_no_col:

				dbra.w	d7,col_en4_vs_vexp_loop_1
			end_col_en4_vs_vexp_loop_1:

		movem.l		(a7)+,d6-d7
		next_col_en4_vs_vexp_loop_2:
		dbra.w	d7,col_en4_vs_vexp_loop_2
	end_col_en4_vs_vexp_loop_2:

	movem.l		(a7)+,d0-d7/a0-a4
	rts

;*******************************************Check Collision Enemy4 Vs Hexp
;*
;*	Clecks the collision of enemy4 and horizontal explosion
;*
;********
col_en4_vs_hexp:
	movem.l		d0-d7/a0-a4,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy4count,d7
	cmp.w	#0,d7
	ble		end_col_en4_vs_hexp_loop_2

	move.w	bomberd2::hexpcount,d7
	cmp.w	#0,d7
	ble		end_col_en4_vs_hexp_loop_2
	subq.w	#1,d7

	col_en4_vs_hexp_loop_2:
		move.w	d7,d6
		lea	bomberd2::hexp_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::hexp_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		lea	bomberd2::hexp_o,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a4
		cmp.w	#1,(a4)
		beq	next_col_en4_vs_hexp_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy4count,d7
			cmp.w	#0,d7
			ble		end_col_en4_vs_hexp_loop_1
			subq.w	#1,d7

			col_en4_vs_hexp_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy4_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy4_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy4_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en4_vs_hexp_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#4,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en4_vs_hexp_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#4,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en4_vs_hexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#3,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en4_vs_hexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#3,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en4_vs_hexp_no_col

					move.w	#64,(a4)
					add.w	#150,bomberd2::score
					bsr		draw_score

				col_en4_vs_hexp_no_col:

				dbra.w	d7,col_en4_vs_hexp_loop_1
			end_col_en4_vs_hexp_loop_1:

		movem.l		(a7)+,d6-d7
		dbra.w	d7,col_en4_vs_hexp_loop_2
		next_col_en4_vs_hexp_loop_2:
	end_col_en4_vs_hexp_loop_2:

	movem.l		(a7)+,d0-d7/a0-a4
	rts

;*******************************************Check Collision Enemy4 Vs Mine
;*
;*	Clecks the collision of enemy4 and mines
;*
;********
col_en4_vs_mine:
	movem.l		d0-d7/a0-a6,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy4count,d7
	cmp.w	#0,d7
	ble		end_col_en4_vs_mine_loop_2

	move.w	bomberd2::minecount,d7
	cmp.w	#0,d7
	ble		end_col_en4_vs_mine_loop_2
	subq.w	#1,d7

	col_en4_vs_mine_loop_2:
		move.w	d7,d6
		lea	bomberd2::mine_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::mine_y,a0		;Get enemy d6's y
		lea	0(a0,d2.w),a3
		lea	bomberd2::mine_t,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a5
		lea	bomberd2::mine_s,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a6
		cmp.w	#0,(a5)
		bne	next_col_en4_vs_mine_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy4count,d7
			cmp.w	#0,d7
			ble		end_col_en4_vs_mine_loop_1
			subq.w	#1,d7

			col_en4_vs_mine_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy4_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy4_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy4_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en4_vs_mine_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#4,d4
				addq.w	#4,d5
				cmp.w	d4,d5
				bcs		col_en4_vs_mine_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#4,d4
				subq.w	#4,d5
				cmp.w	d4,d5
				bhi		col_en4_vs_mine_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#4,d4
				addq.w	#4,d5
				cmp.w	d4,d5
				bcs		col_en4_vs_mine_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#4,d4
				subq.w	#4,d5
				cmp.w	d4,d5
				bhi		col_en4_vs_mine_no_col

					move.w	bomberd2::mineexplife,(a6)
					move.w	#2,(a5)

				col_en4_vs_mine_no_col:

				dbra.w	d7,col_en4_vs_mine_loop_1
			end_col_en4_vs_mine_loop_1:

		movem.l		(a7)+,d6-d7
		next_col_en4_vs_mine_loop_2:
		dbra.w	d7,col_en4_vs_mine_loop_2
	end_col_en4_vs_mine_loop_2:

	movem.l		(a7)+,d0-d7/a0-a6
	rts

;*******************************************Check Collision Enemy5 Vs Vexp
;*
;*	Clecks the collision of enemy5 and verticle explosion
;*
;********
col_en5_vs_vexp:
	movem.l		d0-d7/a0-a4,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy5count,d7
	cmp.w	#0,d7
	ble		end_col_en5_vs_vexp_loop_2

	move.w	bomberd2::vexpcount,d7
	cmp.w	#0,d7
	ble		end_col_en5_vs_vexp_loop_2
	subq.w	#1,d7

	col_en5_vs_vexp_loop_2:
		move.w	d7,d6
		lea	bomberd2::vexp_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::vexp_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		lea	bomberd2::vexp_o,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a4
		cmp.w	#1,(a4)
		beq	next_col_en5_vs_vexp_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy5count,d7
			cmp.w	#0,d7
			ble		end_col_en5_vs_vexp_loop_1
			subq.w	#1,d7

			col_en5_vs_vexp_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy5_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy5_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy5_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en5_vs_vexp_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#3,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en5_vs_vexp_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#3,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en5_vs_vexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#4,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en5_vs_vexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#4,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en5_vs_vexp_no_col

					move.w	#64,(a4)
					add.w	#150,bomberd2::score
					bsr		draw_score

				col_en5_vs_vexp_no_col:

				dbra.w	d7,col_en5_vs_vexp_loop_1
			end_col_en5_vs_vexp_loop_1:

		movem.l		(a7)+,d6-d7
		next_col_en5_vs_vexp_loop_2:
		dbra.w	d7,col_en5_vs_vexp_loop_2
	end_col_en5_vs_vexp_loop_2:

	movem.l		(a7)+,d0-d7/a0-a4
	rts

;*******************************************Check Collision Enemy5 Vs Hexp
;*
;*	Clecks the collision of enemy5 and horizontal explosion
;*
;********
col_en5_vs_hexp:
	movem.l		d0-d7/a0-a4,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy5count,d7
	cmp.w	#0,d7
	ble		end_col_en5_vs_hexp_loop_2

	move.w	bomberd2::hexpcount,d7
	cmp.w	#0,d7
	ble		end_col_en5_vs_hexp_loop_2
	subq.w	#1,d7

	col_en5_vs_hexp_loop_2:
		move.w	d7,d6
		lea	bomberd2::hexp_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::hexp_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		lea	bomberd2::hexp_o,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a4
		cmp.w	#1,(a4)
		beq	next_col_en5_vs_hexp_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy5count,d7
			cmp.w	#0,d7
			ble		end_col_en5_vs_hexp_loop_1
			subq.w	#1,d7

			col_en5_vs_hexp_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy5_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy5_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy5_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en5_vs_hexp_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#4,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en5_vs_hexp_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#4,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en5_vs_hexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#3,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en5_vs_hexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#3,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en5_vs_hexp_no_col

					move.w	#64,(a4)
					add.w	#150,bomberd2::score
					bsr		draw_score

				col_en5_vs_hexp_no_col:

				dbra.w	d7,col_en5_vs_hexp_loop_1
			end_col_en5_vs_hexp_loop_1:

		movem.l		(a7)+,d6-d7
		dbra.w	d7,col_en5_vs_hexp_loop_2
		next_col_en5_vs_hexp_loop_2:
	end_col_en5_vs_hexp_loop_2:

	movem.l		(a7)+,d0-d7/a0-a4
	rts

;*******************************************Check Collision Enemy5 Vs Mine
;*
;*	Clecks the collision of enemy5 and mines
;*
;********
col_en5_vs_mine:
	movem.l		d0-d7/a0-a6,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy5count,d7
	cmp.w	#0,d7
	ble		end_col_en5_vs_mine_loop_2

	move.w	bomberd2::minecount,d7
	cmp.w	#0,d7
	ble		end_col_en5_vs_mine_loop_2
	subq.w	#1,d7

	col_en5_vs_mine_loop_2:
		move.w	d7,d6
		lea	bomberd2::mine_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::mine_y,a0		;Get enemy d6's y
		lea	0(a0,d2.w),a3
		lea	bomberd2::mine_t,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a5
		lea	bomberd2::mine_s,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a6
		cmp.w	#0,(a5)
		bne	next_col_en5_vs_mine_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy5count,d7
			cmp.w	#0,d7
			ble		end_col_en5_vs_mine_loop_1
			subq.w	#1,d7

			col_en5_vs_mine_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy5_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy5_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy5_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en5_vs_mine_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#4,d4
				addq.w	#4,d5
				cmp.w	d4,d5
				bcs		col_en5_vs_mine_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#4,d4
				subq.w	#4,d5
				cmp.w	d4,d5
				bhi		col_en5_vs_mine_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#4,d4
				addq.w	#4,d5
				cmp.w	d4,d5
				bcs		col_en5_vs_mine_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#4,d4
				subq.w	#4,d5
				cmp.w	d4,d5
				bhi		col_en5_vs_mine_no_col

					move.w	bomberd2::mineexplife,(a6)
					move.w	#2,(a5)

				col_en5_vs_mine_no_col:

				dbra.w	d7,col_en5_vs_mine_loop_1
			end_col_en5_vs_mine_loop_1:

		movem.l		(a7)+,d6-d7
		next_col_en5_vs_mine_loop_2:
		dbra.w	d7,col_en5_vs_mine_loop_2
	end_col_en5_vs_mine_loop_2:

	movem.l		(a7)+,d0-d7/a0-a6
	rts

;*******************************************Check Collision Me Vs Vexp
;*
;*	Clecks the collision of player and verticle explosion
;*
;********
col_me_vs_vexp:
	cmp.w	#0,bomberd2::num_flashes_left
	bne	end_col_me_vs_vexp

	movem.l		d0-d7/a0-a3,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::vexpcount,d7
	cmp.w	#0,d7
	ble		end_col_me_vs_vexp_loop_1
	subq.w	#1,d7

	col_me_vs_vexp_loop_1:
		move.w	d7,d6
		lea	bomberd2::vexp_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::vexp_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		move.w	(a2),d2
		move.w	(a3),d3

		move.w	d0,d4
		move.w	d2,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_vexp_no_col

		move.w	d0,d4
		move.w	d2,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_vexp_no_col

		move.w	d1,d4
		move.w	d3,d5
		subq.w	#4,d4
		addq.w	#4,d5
		cmp.w	d4,d5
		bcs		col_me_vs_vexp_no_col

		move.w	d1,d4
		move.w	d3,d5
		addq.w	#4,d4
		subq.w	#4,d5
		cmp.w	d4,d5
		bhi		col_me_vs_vexp_no_col

			movem.l		(a7)+,d0-d7/a0-a3
			bra		i_have_died

		col_me_vs_vexp_no_col:

		dbra.w	d7,col_me_vs_vexp_loop_1
	end_col_me_vs_vexp_loop_1:

	movem.l		(a7)+,d0-d7/a0-a3
	bra	end_col_me_vs_vexp

;*******************************************Check Collision Me Vs Hexp
;*
;*	Clecks the collision of enemy1 and horizontal explosion
;*
;********
col_me_vs_hexp:
	cmp.w	#0,bomberd2::num_flashes_left
	bne	end_col_me_vs_hexp

	movem.l		d0-d7/a0-a3,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::hexpcount,d7
	cmp.w	#0,d7
	ble		end_col_me_vs_hexp_loop_1
	subq.w	#1,d7

	col_me_vs_hexp_loop_1:
		move.w	d7,d6
		lea	bomberd2::hexp_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::hexp_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		move.w	(a2),d2
		move.w	(a3),d3

		move.w	d0,d4
		move.w	d2,d5
		subq.w	#4,d4
		addq.w	#4,d5
		cmp.w	d4,d5
		bcs		col_me_vs_hexp_no_col

		move.w	d0,d4
		move.w	d2,d5
		addq.w	#4,d4
		subq.w	#4,d5
		cmp.w	d4,d5
		bhi		col_me_vs_hexp_no_col

		move.w	d1,d4
		move.w	d3,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_hexp_no_col

		move.w	d1,d4
		move.w	d3,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_hexp_no_col

			movem.l		(a7)+,d0-d7/a0-a3
			bra		i_have_died

		col_me_vs_hexp_no_col:

		dbra.w	d7,col_me_vs_hexp_loop_1
	end_col_me_vs_hexp_loop_1:

	movem.l		(a7)+,d0-d7/a0-a3
	bra	end_col_me_vs_hexp

;*******************************************Check Collision Me Vs Xexp
;*
;*	Clecks the collision of player and X explosion
;*
;********
col_me_vs_xexp:
	cmp.w	#0,bomberd2::num_flashes_left
	bne	end_col_me_vs_xexp

	movem.l		d0-d7/a0-a3,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::xexpcount,d7
	cmp.w	#0,d7
	ble		end_col_me_vs_xexp_loop_1
	subq.w	#1,d7

	col_me_vs_xexp_loop_1:
		move.w	d7,d6
		lea	bomberd2::xexp_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::xexp_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		move.w	(a2),d2
		move.w	(a3),d3

		move.w	d0,d4
		move.w	d2,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_xexp_no_col

		move.w	d0,d4
		move.w	d2,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_xexp_no_col

		move.w	d1,d4
		move.w	d3,d5
		subq.w	#4,d4
		addq.w	#4,d5
		cmp.w	d4,d5
		bcs		col_me_vs_xexp_no_col

		move.w	d1,d4
		move.w	d3,d5
		addq.w	#4,d4
		subq.w	#4,d5
		cmp.w	d4,d5
		bhi		col_me_vs_xexp_no_col

			movem.l		(a7)+,d0-d7/a0-a3
			bra		i_have_died

		col_me_vs_xexp_no_col:

		dbra.w	d7,col_me_vs_xexp_loop_1
	end_col_me_vs_xexp_loop_1:

	movem.l		(a7)+,d0-d7/a0-a3
	bra	end_col_me_vs_xexp

;*******************************************Check Collision Me Vs Bonus
;*
;*	Clecks the collision of player and bonus
;*
;********
col_me_vs_bonus:
	movem.l		d0-d7/a0-a4,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::bonuscount,d7
	cmp.w	#0,d7
	ble		end_col_me_vs_bonus_loop_1
	subq.w	#1,d7

	col_me_vs_bonus_loop_1:
		move.w	d7,d6
		lea	bomberd2::bonus_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::bonus_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		lea	bomberd2::bonus_t,a0		;Get enemy d6's t
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a4
		move.w	(a2),d2
		move.w	(a3),d3
		move.w	(a4),t

		move.w	d0,d4
		move.w	d2,d5
		subq.w	#4,d4
		addq.w	#4,d5
		cmp.w	d4,d5
		bcs		col_me_vs_bonus_no_col

		move.w	d0,d4
		move.w	d2,d5
		addq.w	#4,d4
		subq.w	#4,d5
		cmp.w	d4,d5
		bhi		col_me_vs_bonus_no_col

		move.w	d1,d4
		move.w	d3,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_bonus_no_col

		move.w	d1,d4
		move.w	d3,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_bonus_no_col

			jsr		bomberd4::delete_bonus
			add.w	#50,bomberd2::score
			bsr		draw_score
			move.w	t,d4
			cmp.w	#0,d4
			beq		col_me_vs_bonus_t1
			cmp.w	#1,d4
			beq		col_me_vs_bonus_t2
			cmp.w	#2,d4
			beq		col_me_vs_bonus_t3
			cmp.w	#3,d4
			beq		col_me_vs_bonus_t4
			cmp.w	#4,d4
			beq		col_me_vs_bonus_t5
			cmp.w	#5,d4
			beq		col_me_vs_bonus_t6
			cmp.w	#6,d4
			beq		col_me_vs_bonus_t7
			cmp.w	#7,d4
			beq		col_me_vs_bonus_t8
			cmp.w	#8,d4
			beq		col_me_vs_bonus_t9
			cmp.w	#9,d4
			beq		col_me_vs_bonus_t10
			cmp.w	#10,d4
			beq		col_me_vs_bonus_t11
			cmp.w	#11,d4
			beq		col_me_vs_bonus_t12
			cmp.w	#12,d4
			beq		col_me_vs_bonus_t13
			cmp.w	#13,d4
			beq		col_me_vs_bonus_t14
			bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t1:
				cmp.w	#5,bomberd2::bombsallowed
				beq		col_me_vs_bonus_no_col
				addq.w	#1,bomberd2::bombsallowed
				bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t2:
				cmp.w	#4,bomberd2::pllife
				beq		col_me_vs_bonus_no_col
				addq.w	#1,bomberd2::pllife
				bsr		draw_life
				bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t3:
				cmp.w	#4,bomberd2::def_t_to_key
				ble		col_me_vs_bonus_no_col
				subq.w	#1,bomberd2::def_t_to_key
				bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t4:
				cmp.w	#5,bomberd2::bomb_exp_len
				beq		col_me_vs_bonus_no_col
				addq.w	#1,bomberd2::bomb_exp_len
				bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t5:
				move.w	#1,bomberd2::trigger_bombs
				bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t6:
				move.w	#5,bomberd2::bomb_exp_len
				bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t7:
				add.w	#250,bomberd2::score
				bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t8:
				move.w	#1,bomberd2::walk_through_walls
				bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t9:
				move.w	#1,bomberd2::walk_through_bombs
				bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t10:
				move.w	#70,bomberd2::num_flashes_left
				move.w	#0,bomberd2::bomber_flashed
				move.w	#80,bomberd2::flash_countdown
				bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t11:
				move.l	#4000,bomberd2::poison_count_down_n
				Random	#4,bomberd2::poisontype
				addq.w	#1,bomberd2::poisontype
				bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t12:
				cmp.w	#5,bomberd2::bomber_cornering
				beq		col_me_vs_bonus_no_col
				addq.w	#1,bomberd2::bomber_cornering
				bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t13:
				move.w	#1,bomberd2::minesallowed
				bra		col_me_vs_bonus_no_col

			col_me_vs_bonus_t14:
				move.w	#1,bomberd2::death_protection
				bra		col_me_vs_bonus_no_col

		col_me_vs_bonus_no_col:

		dbra.w	d7,col_me_vs_bonus_loop_1
	end_col_me_vs_bonus_loop_1:

	movem.l		(a7)+,d0-d7/a0-a4
	rts

;*******************************************Check Collision Me Vs Mine
;*
;*	Clecks the collision of player and bonus
;*
;********
col_me_vs_mine:
	movem.l		d0-d7/a0-a5,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::minecount,d7
	cmp.w	#0,d7
	ble		end_col_me_vs_mine_loop_1
	subq.w	#1,d7

	col_me_vs_mine_loop_1:
		move.w	d7,d6
		lea	bomberd2::mine_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::mine_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		lea	bomberd2::mine_t,a0		;Get enemy d6's t
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a4
		lea	bomberd2::mine_s,a0		;Get enemy d6's t
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a5
		move.w	(a2),d2
		move.w	(a3),d3
		move.w	(a4),t
		move.w	(a5),s

		cmp.w	#0,t
		bne		col_me_vs_mine_no_col

		move.w	d0,d4
		move.w	d2,d5
		subq.w	#4,d4
		addq.w	#4,d5
		cmp.w	d4,d5
		bcs		col_me_vs_mine_no_col

		move.w	d0,d4
		move.w	d2,d5
		addq.w	#4,d4
		subq.w	#4,d5
		cmp.w	d4,d5
		bhi		col_me_vs_mine_no_col

		move.w	d1,d4
		move.w	d3,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_mine_no_col

		move.w	d1,d4
		move.w	d3,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_mine_no_col

			move.w	bomberd2::mineexplife,(a5)
			move.w	#2,(a4)

		col_me_vs_mine_no_col:

		dbra.w	d7,col_me_vs_mine_loop_1
	end_col_me_vs_mine_loop_1:

	movem.l		(a7)+,d0-d7/a0-a5
	rts

;*******************************************Check Collision Me Vs Enemy1
;*
;*	Clecks the collision of enemy1 and player
;*
;********
col_me_vs_enemy1:
	cmp.w	#0,bomberd2::num_flashes_left
	bne	end_col_me_vs_enemy1

	movem.l		d0-d7/a0-a3,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy1count,d7
	cmp.w	#0,d7
	ble		end_col_me_vs_enemy1_loop_1
	subq.w	#1,d7

	col_me_vs_enemy1_loop_1:
		move.w	d7,d6
		lea	bomberd2::enemy1_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::enemy1_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		move.w	(a2),d2
		move.w	(a3),d3

		move.w	d0,d4
		move.w	d2,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_enemy1_no_col

		move.w	d0,d4
		move.w	d2,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_enemy1_no_col

		move.w	d1,d4
		move.w	d3,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_enemy1_no_col

		move.w	d1,d4
		move.w	d3,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_enemy1_no_col

			movem.l		(a7)+,d0-d7/a0-a3
			bra		i_have_died

		col_me_vs_enemy1_no_col:

		dbra.w	d7,col_me_vs_enemy1_loop_1
	end_col_me_vs_enemy1_loop_1:

	movem.l		(a7)+,d0-d7/a0-a3
	bra	end_col_me_vs_enemy1

;*******************************************Check Collision Me Vs Enemy3
;*
;*	Clecks the collision of enemy3 and player
;*
;********
col_me_vs_enemy3:
	cmp.w	#0,bomberd2::num_flashes_left
	bne	end_col_me_vs_enemy3

	movem.l		d0-d7/a0-a3,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy3count,d7
	cmp.w	#0,d7
	ble		end_col_me_vs_enemy3_loop_1
	subq.w	#1,d7

	col_me_vs_enemy3_loop_1:
		move.w	d7,d6
		lea	bomberd2::enemy3_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::enemy3_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		move.w	(a2),d2
		move.w	(a3),d3

		move.w	d0,d4
		move.w	d2,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_enemy3_no_col

		move.w	d0,d4
		move.w	d2,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_enemy3_no_col

		move.w	d1,d4
		move.w	d3,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_enemy3_no_col

		move.w	d1,d4
		move.w	d3,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_enemy3_no_col

			movem.l		(a7)+,d0-d7/a0-a3
			bra		i_have_died

		col_me_vs_enemy3_no_col:

		dbra.w	d7,col_me_vs_enemy3_loop_1
	end_col_me_vs_enemy3_loop_1:

	movem.l		(a7)+,d0-d7/a0-a3
	bra	end_col_me_vs_enemy3

;*******************************************Check Collision Me Vs Enemy4
;*
;*	Clecks the collision of enemy4 and player
;*
;********
col_me_vs_enemy4:
	cmp.w	#0,bomberd2::num_flashes_left
	bne	end_col_me_vs_enemy4

	movem.l		d0-d7/a0-a3,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy4count,d7
	cmp.w	#0,d7
	ble		end_col_me_vs_enemy4_loop_1
	subq.w	#1,d7

	col_me_vs_enemy4_loop_1:
		move.w	d7,d6
		lea	bomberd2::enemy4_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::enemy4_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		move.w	(a2),d2
		move.w	(a3),d3

		move.w	d0,d4
		move.w	d2,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_enemy4_no_col

		move.w	d0,d4
		move.w	d2,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_enemy4_no_col

		move.w	d1,d4
		move.w	d3,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_enemy4_no_col

		move.w	d1,d4
		move.w	d3,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_enemy4_no_col

			movem.l		(a7)+,d0-d7/a0-a3
			bra		i_have_died

		col_me_vs_enemy4_no_col:

		dbra.w	d7,col_me_vs_enemy4_loop_1
	end_col_me_vs_enemy4_loop_1:

	movem.l		(a7)+,d0-d7/a0-a3
	bra	end_col_me_vs_enemy4

;*******************************************Check Collision Me Vs Enemy5
;*
;*	Clecks the collision of enemy5 and player
;*
;********
col_me_vs_enemy5:
	cmp.w	#0,bomberd2::num_flashes_left
	bne	end_col_me_vs_enemy5

	movem.l		d0-d7/a0-a4,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy5count,d7
	cmp.w	#0,d7
	ble		end_col_me_vs_enemy5_loop_1
	subq.w	#1,d7

	col_me_vs_enemy5_loop_1:
		move.w	d7,d6
		lea	bomberd2::enemy5_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::enemy5_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		lea	bomberd2::enemy5_s,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a4
		move.w	(a2),d2
		move.w	(a3),d3

		cmp.w	#87,(a4)
		beq		col_me_vs_enemy5_explosion
		cmp.w	#88,(a4)
		beq		col_me_vs_enemy5_explosion
		cmp.w	#89,(a4)
		beq		col_me_vs_enemy5_explosion
		move.w	d0,d4
		move.w	d2,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_enemy5_no_col

		move.w	d0,d4
		move.w	d2,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_enemy5_no_col

		move.w	d1,d4
		move.w	d3,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_enemy5_no_col

		move.w	d1,d4
		move.w	d3,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_enemy5_no_col

		col_me_vs_enemy5_yes_col:

			movem.l		(a7)+,d0-d7/a0-a4
			bra		i_have_died

				col_me_vs_enemy5_explosion:
				col_me_vs_enemy5_explosion_horiz:

					move.w	d0,d4
					move.w	d2,d5
					subq.w	#4,d4
					add.w	#52,d5
					cmp.w	d4,d5
					bcs		col_me_vs_enemy5_explosion_vert

					move.w	d0,d4
					move.w	d2,d5
					add.w	#52,d4
					subq.w	#4,d5
					cmp.w	d4,d5
					bhi		col_me_vs_enemy5_explosion_vert

					move.w	d1,d4
					move.w	d3,d5
					subq.w	#4,d4
					addq.w	#4,d5
					cmp.w	d4,d5
					bcs		col_me_vs_enemy5_explosion_vert

					move.w	d1,d4
					move.w	d3,d5
					addq.w	#4,d4
					subq.w	#4,d5
					cmp.w	d4,d5
					bhi		col_me_vs_enemy5_explosion_vert

					bra		col_me_vs_enemy5_yes_col

				col_me_vs_enemy5_explosion_vert:

					move.w	d0,d4
					move.w	d2,d5
					subq.w	#4,d4
					addq.w	#4,d5
					cmp.w	d4,d5
					bcs		col_me_vs_enemy5_no_col

					move.w	d0,d4
					move.w	d2,d5
					addq.w	#4,d4
					subq.w	#4,d5
					cmp.w	d4,d5
					bhi		col_me_vs_enemy5_no_col

					move.w	d1,d4
					move.w	d3,d5
					subq.w	#4,d4
					add.w	#52,d5
					cmp.w	d4,d5
					bcs		col_me_vs_enemy5_no_col

					move.w	d1,d4
					move.w	d3,d5
					add.w	#52,d4
					subq.w	#4,d5
					cmp.w	d4,d5
					bhi		col_me_vs_enemy5_no_col

					bra		col_me_vs_enemy5_yes_col

		col_me_vs_enemy5_no_col:

		dbra.w	d7,col_me_vs_enemy5_loop_1
	end_col_me_vs_enemy5_loop_1:

	movem.l		(a7)+,d0-d7/a0-a4
	bra	end_col_me_vs_enemy5

;*******************************************Check Collision Enemy2 Vs Vexp
;*
;*	Clecks the collision of enemy2 and verticle explosion
;*
;********
col_en2_vs_vexp:
	movem.l		d0-d7/a0-a4,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy2count,d7
	cmp.w	#0,d7
	ble		end_col_en2_vs_vexp_loop_2

	move.w	bomberd2::vexpcount,d7
	cmp.w	#0,d7
	ble		end_col_en2_vs_vexp_loop_2
	subq.w	#1,d7

	col_en2_vs_vexp_loop_2:
		move.w	d7,d6
		lea	bomberd2::vexp_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::vexp_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		lea	bomberd2::vexp_o,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a4
		cmp.w	#1,(a4)
		beq	next_col_en2_vs_vexp_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy2count,d7
			cmp.w	#0,d7
			ble		end_col_en2_vs_vexp_loop_1
			subq.w	#1,d7

			col_en2_vs_vexp_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy2_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy2_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy2_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en2_vs_vexp_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#3,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en2_vs_vexp_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#3,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en2_vs_vexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#4,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en2_vs_vexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#4,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en2_vs_vexp_no_col

					move.w	#64,(a4)
					add.w	#170,bomberd2::score
					bsr		draw_score

				col_en2_vs_vexp_no_col:

				dbra.w	d7,col_en2_vs_vexp_loop_1
			end_col_en2_vs_vexp_loop_1:

		movem.l		(a7)+,d6-d7
		next_col_en2_vs_vexp_loop_2:
		dbra.w	d7,col_en2_vs_vexp_loop_2
	end_col_en2_vs_vexp_loop_2:

	movem.l		(a7)+,d0-d7/a0-a4
	rts

;*******************************************Check Collision Enemy2 Vs Hexp
;*
;*	Clecks the collision of enemy2 and horizontal explosion
;*
;********
col_en2_vs_hexp:
	movem.l		d0-d7/a0-a4,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy2count,d7
	cmp.w	#0,d7
	ble		end_col_en2_vs_hexp_loop_2

	move.w	bomberd2::hexpcount,d7
	cmp.w	#0,d7
	ble		end_col_en2_vs_hexp_loop_2
	subq.w	#1,d7

	col_en2_vs_hexp_loop_2:
		move.w	d7,d6
		lea	bomberd2::hexp_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::hexp_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		lea	bomberd2::hexp_o,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a4
		cmp.w	#1,(a4)
		beq	next_col_en2_vs_hexp_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy2count,d7
			cmp.w	#0,d7
			ble		end_col_en2_vs_hexp_loop_1
			subq.w	#1,d7

			col_en2_vs_hexp_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy2_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy2_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy2_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en2_vs_hexp_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#4,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en2_vs_hexp_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#4,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en2_vs_hexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#3,d4
				addq.w	#3,d5
				cmp.w	d4,d5
				bcs		col_en2_vs_hexp_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#3,d4
				subq.w	#3,d5
				cmp.w	d4,d5
				bhi		col_en2_vs_hexp_no_col

					move.w	#64,(a4)
					add.w	#170,bomberd2::score
					bsr		draw_score

				col_en2_vs_hexp_no_col:

				dbra.w	d7,col_en2_vs_hexp_loop_1
			end_col_en2_vs_hexp_loop_1:

		movem.l		(a7)+,d6-d7
		next_col_en2_vs_hexp_loop_2:
		dbra.w	d7,col_en2_vs_hexp_loop_2
	end_col_en2_vs_hexp_loop_2:

	movem.l		(a7)+,d0-d7/a0-a4
	rts

;*******************************************Check Collision Enemy2 Vs Mine
;*
;*	Clecks the collision of enemy2 and mines
;*
;********
col_en2_vs_mine:
	movem.l		d0-d7/a0-a6,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy2count,d7
	cmp.w	#0,d7
	ble		end_col_en2_vs_mine_loop_2

	move.w	bomberd2::minecount,d7
	cmp.w	#0,d7
	ble		end_col_en2_vs_mine_loop_2
	subq.w	#1,d7

	col_en2_vs_mine_loop_2:
		move.w	d7,d6
		lea	bomberd2::mine_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::mine_y,a0		;Get enemy d6's y
		lea	0(a0,d2.w),a3
		lea	bomberd2::mine_t,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a5
		lea	bomberd2::mine_s,a0		;Get enemy d6's o
		lea	0(a0,d2.w),a6
		cmp.w	#0,(a5)
		bne	next_col_en2_vs_mine_loop_2
		move.w	(a2),d0
		move.w	(a3),d1

		movem.l		d6-d7,-(a7)

			move.w	bomberd2::enemy2count,d7
			cmp.w	#0,d7
			ble		end_col_en2_vs_mine_loop_1
			subq.w	#1,d7

			col_en2_vs_mine_loop_1:
				move.w	d7,d6
				lea	bomberd2::enemy2_x,a0		;Get enemy d6's x
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a2
				lea	bomberd2::enemy2_y,a0		;Get enemy d6's y
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a3
				lea	bomberd2::enemy2_s,a0		;Get enemy d6's s
				move.w  d6,d2
				mulu.w	#2,d2
				lea	0(a0,d2.w),a4
				cmp.w	#50,(a4)
				bcc		col_en2_vs_mine_no_col
				move.w	(a2),d2
				move.w	(a3),d3

				move.w	d0,d4
				move.w	d2,d5
				subq.w	#4,d4
				addq.w	#4,d5
				cmp.w	d4,d5
				bcs		col_en2_vs_mine_no_col

				move.w	d0,d4
				move.w	d2,d5
				addq.w	#4,d4
				subq.w	#4,d5
				cmp.w	d4,d5
				bhi		col_en2_vs_mine_no_col

				move.w	d1,d4
				move.w	d3,d5
				subq.w	#4,d4
				addq.w	#4,d5
				cmp.w	d4,d5
				bcs		col_en2_vs_mine_no_col

				move.w	d1,d4
				move.w	d3,d5
				addq.w	#4,d4
				subq.w	#4,d5
				cmp.w	d4,d5
				bhi		col_en2_vs_mine_no_col

					move.w	bomberd2::mineexplife,(a6)
					move.w	#2,(a5)

				col_en2_vs_mine_no_col:

				dbra.w	d7,col_en2_vs_mine_loop_1
			end_col_en2_vs_mine_loop_1:

		movem.l		(a7)+,d6-d7
		next_col_en2_vs_mine_loop_2:
		dbra.w	d7,col_en2_vs_mine_loop_2
	end_col_en2_vs_mine_loop_2:

	movem.l		(a7)+,d0-d7/a0-a6
	rts

;*******************************************Check Collision Me Vs Enemy2
;*
;*	Clecks the collision of enemy2 and player explosion
;*
;********
col_me_vs_enemy2:
	cmp.w	#0,bomberd2::num_flashes_left
	bne	end_col_me_vs_enemy2

	movem.l		d0-d7/a0-a3,-(a7)
	move.w	bomberd2::plx,d0
	move.w	bomberd2::ply,d1

	move.w	bomberd2::enemy2count,d7
	cmp.w	#0,d7
	ble		end_col_me_vs_enemy2_loop_1
	subq.w	#1,d7

	col_me_vs_enemy2_loop_1:
		move.w	d7,d6
		lea	bomberd2::enemy2_x,a0		;Get enemy d6's x
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a2
		lea	bomberd2::enemy2_y,a0		;Get enemy d6's y
		move.w  d6,d2
		mulu.w	#2,d2
		lea	0(a0,d2.w),a3
		move.w	(a2),d2
		move.w	(a3),d3

		move.w	d0,d4
		move.w	d2,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_enemy2_no_col

		move.w	d0,d4
		move.w	d2,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_enemy2_no_col

		move.w	d1,d4
		move.w	d3,d5
		subq.w	#4,d4
		addq.w	#3,d5
		cmp.w	d4,d5
		bcs		col_me_vs_enemy2_no_col

		move.w	d1,d4
		move.w	d3,d5
		addq.w	#4,d4
		subq.w	#3,d5
		cmp.w	d4,d5
		bhi		col_me_vs_enemy2_no_col

			movem.l		(a7)+,d0-d7/a0-a3
			bra		i_have_died

		col_me_vs_enemy2_no_col:

		dbra.w	d7,col_me_vs_enemy2_loop_1
	end_col_me_vs_enemy2_loop_1:

	movem.l		(a7)+,d0-d7/a0-a3
	bra	end_col_me_vs_enemy2